;======================================================================
;
;	Borrowed From:
;	
;	SetCPU V1.60
;	by Dave Haynie, April 13, 1990
;
;======================================================================

_PMOVE		macro	
		ifc '\1','tc'
		    ifc '\2','(sp)'
			dc.w	$f017	; PMOVE tc,(sp)
			dc.w	$4200
			mexit
		    endc
		    ifc '\2','(a0)'
			dc.w	$f010	; PMOVE tc,(a0)
			dc.w	$4200
			mexit
		    endc
		endc
		ifc '\1','crp'
		    ifc '\2','(a0)'
			dc.w	$f010	; PMOVE	crp,(a0)
			dc.w	$4e00
			mexit
		    endc
		endc
		ifc '\1','(a0)'
		    ifc '\2','crp'
			dc.w	$f010	; PMOVE	(a0),crp
			dc.w	$4c00
			mexit
		    endc
		    ifc '\2','tc'
			dc.w	$f010	; PMOVE (a0),tc
			dc.w	$4000
			mexit
		    endc
		endc
		ifc '\1','(a1)'
		    ifc '\2','crp'
			dc.w	$f011	; PMOVE (a1),crp
			dc.w	$4c00
			mexit
		    endc
		endc
		endm

_PFLUSHA	macro	
		dc.w	$f000
		dc.w	$2400
		endm

_MOVEC		macro	
		ifc '\1','cacr'
		    ifc '\2','d0'
			dc.w	$4e7a	; MOVEC	cacr,d0
			dc.w	$0002
			mexit
		    endc
		    ifc '\2','d1'
			dc.w	$4e7a	; MOVEC	cacr,d1
			dc.w	$1002
			mexit
		    endc
		endc
		ifc '\2','cacr'
		    ifc '\1','d0'
			dc.w	$4e7b	; MOVEC d0,cacr
			dc.w	$0002
			mexit
		    endc
		    ifc '\1','d1'
			dc.w	$4e7b	; MOVEC d1,cacr
			dc.w	$1002
			mexit
		    endc
		endc
		ifc '\1','vbr'
		    ifc '\2','d0'
			dc.w	$4e7a	; MOVEC	vbr,d0
			dc.w	$0801
			mexit
		    endc
		endc
		endm

CIB_ENABLE	EQU	0
CIB_FREEZE	EQU	1
CIB_ENTRY	EQU	2
CIB_CLEAR	EQU	3
CIB_BURST	EQU	4

CDB_ENABLE	EQU	8
CDB_FREEZE	EQU	9
CDB_ENTRY	EQU	10
CDB_CLEAR	EQU	11
CDB_BURST	EQU	12
CDB_WALLOC	EQU	13

CIB_ENABLE40	EQU	15
CDB_ENABLE40	EQU	31

AFB_68030	EQU	2
AFB_68040	EQU	3
AFB_68882	EQU	5

ATNFLGS		EQU	$129

ANYCREG		EQU	$00dff010

BOGUSMMU		EQU	$ffffffff
