/*
 *	Menus.c - Copyright  1990 by S.R. & P.C.
 *
 *	Created:	16 Jun 1990
 *	Modified:	07 Jul 1990
 *
 *	Make>> make
 */

/*
#include <intuition/intuition.h>
#include <intuition/intuitionbase.h>
*/

struct TextAttr TOPAZ80 = {
	(STRPTR)"topaz.font",
	TOPAZ_EIGHTY,0,0
};

static struct IntuiText IText5 = {
	3,2,JAM1,	/* front and back text pens, drawmode and fill byte */
	1,1,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Quit",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

static struct MenuItem MenuItem5 = {
	NULL,	/* next MenuItem structure */
	0,55,	/* XY of Item hitbox relative to TopLeft of parent hitbox */
	104,10,	/* hit box width and height */
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,	/* Item flags */
	0,	/* each bit mutually-excludes a same-level Item */
	(APTR)&IText5,	/* Item render  (IntuiText or Image or NULL) */
	NULL,	/* Select render */
	'Q',	/* alternate command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* filled in by Intuition for drag selections */
};

static struct IntuiText IText41 = {
	3,2,JAM1,	/* front and back text pens, drawmode and fill byte */
	0,9,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"-------------",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

static struct IntuiText IText4 = {
	3,2,JAM1,	/* front and back text pens, drawmode and fill byte */
	1,1,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Change Dir",	/* pointer to text */
	&IText41	/* next IntuiText structure */
};

static struct MenuItem MenuItem4 = {
	&MenuItem5,	/* next MenuItem structure */
	0,40,	/* XY of Item hitbox relative to TopLeft of parent hitbox */
	104,10,	/* hit box width and height */
	ITEMTEXT+ITEMENABLED+HIGHCOMP,	/* Item flags */
	0,	/* each bit mutually-excludes a same-level Item */
	(APTR)&IText4,	/* Item render  (IntuiText or Image or NULL) */
	NULL,	/* Select render */
	NULL,	/* alternate command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* filled in by Intuition for drag selections */
};

static struct IntuiText IText31 = {
	3,2,JAM1,	/* front and back text pens, drawmode and fill byte */
	0,9,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"-------------",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

static struct IntuiText IText3 = {
	3,2,JAM1,	/* front and back text pens, drawmode and fill byte */
	1,1,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Command",	/* pointer to text */
	&IText31	/* next IntuiText structure */
};

static struct MenuItem MenuItem3 = {
	&MenuItem4,	/* next MenuItem structure */
	0,25,	/* XY of Item hitbox relative to TopLeft of parent hitbox */
	104,10,	/* hit box width and height */
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,	/* Item flags */
	0,	/* each bit mutually-excludes a same-level Item */
	(APTR)&IText3,	/* Item render  (IntuiText or Image or NULL) */
	NULL,	/* Select render */
	'C',	/* alternate command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* filled in by Intuition for drag selections */
};

static struct IntuiText IText21 = {
	3,2,JAM1,	/* front and back text pens, drawmode and fill byte */
	0,9,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"-------------",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

static struct IntuiText IText2 = {
	3,2,JAM1,	/* front and back text pens, drawmode and fill byte */
	1,1,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"UpDate",	/* pointer to text */
	&IText21	/* next IntuiText structure */
};

static struct MenuItem MenuItem2 = {
	&MenuItem3,	/* next MenuItem structure */
	0,10,	/* XY of Item hitbox relative to TopLeft of parent hitbox */
	104,10,	/* hit box width and height */
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,	/* Item flags */
	0,	/* each bit mutually-excludes a same-level Item */
	(APTR)&IText2,	/* Item render  (IntuiText or Image or NULL) */
	NULL,	/* Select render */
	'U',	/* alternate command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* filled in by Intuition for drag selections */
};

static struct IntuiText IText1 = {
	3,2,JAM1,	/* front and back text pens, drawmode and fill byte */
	1,1,		/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Open",	/* pointer to text */
	NULL		/* next IntuiText structure */
};

static struct MenuItem MenuItem1 = {
	&MenuItem2,	/* next MenuItem structure */
	0,0,		/* XY of Item hitbox relative to TopLeft of parent hitbox */
	104,10,		/* hit box width and height */
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,	/* Item flags */
	0,			/* each bit mutually-excludes a same-level Item */
	(APTR)&IText1,	/* Item render  (IntuiText or Image or NULL) */
	NULL,		/* Select render */
	'O',		/* alternate command-key */
	NULL,		/* SubItem list */
	MENUNULL	/* filled in by Intuition for drag selections */
};

struct Menu Menu1 = {
	NULL,		/* next Menu structure */
	0,0,		/* XY origin of Menu hit box relative to screen TopLeft */
	48,0,		/* Menu hit box width and height */
	MENUENABLED,	/* Menu flags */
	"ParM",	/* text of Menu name */
	&MenuItem1	/* MenuItem linked list pointer */
};

