/** dofor.rexx
*
*   This function does 'oper' for all 'fn'.
*
**/
parse arg fn oper

oper = strip(oper)

if fn = "" then do
   say "Usage: dofor <wildcards> <operation>"
   exit
end

call filelist(fn, files, F)

if files.0 = 0 then do
   say "No files found"
   exit
end

do i = 1 to files.0
   if files.i = "" then leave

   oper' 'files.i
end

exit
