
NAME
       CheckList - Check system list for name.


SYNOPSIS
       CheckList "namestring" [Task] [Port]


REQUIREMENTS
       The ARP library


DESCRIPTION
       This command checks the task list or the port list for a task or
       port with the name you specified. The search is case dependent.
       CheckList returns return code 5 if the name matches a list item.
       If the name doesn't check out, the return code will be zero.


EXAMPLE
       This batch loads a program FOO, that uses a message port named
       "FOO_port", when FOO hasn't been run already.

       CheckList FOO_port Port
       If WARN                         ; WARN = 5
          Echo "FOO already loaded!"
       Else
          Run FOO
       EndIf
