100 REM USINGTHE Program.
110 REM Documentation.  Using the Programs.
120 REM Copyright (c) 1983 - 1987 by: Melvin O. Duke.
' Ported to the Amiga in March 1988 by Nathan Barber
' Adaptions for Amiga graphics (c) 1988 by Nathan Barber
130 DATA Genealogy
140 DATA User's Manual
150 DATA -5
160 DATA 1
170 INDENT = 0
180 REM Printer Definitions
190 FORM.FEED$  = CHR$(12)
200 COMPR.OFF$  = CHR$(18)     : COMPR.ON$ = CHR$(15)
210 BOLD.OFF$   = CHR$(27)+"F" : BOLD.ON$ = CHR$(27)+"E"
220 EXPAND.OFF$ = CHR$(18)     : EXPAND.ON$ = CHR$(14)
230 DASHES$ = "+"+STRING$(54,45)+"+"
240 TRIM.LINE$ = "(Trim-line)"
300 REM Program begins here
310 READ TITLE$, DOC.NAME$, PAGE.NO, LINE.NO
320 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
330 GOSUB 920  :REM'For trim line and heading space
340 FOR I = 1 TO 6 : LPRINT : NEXT I
350 LPRINT BOLD.ON$;     :REM'Set Emphasized mode
360 LPRINT EXPAND.ON$;   :REM'Set Expanded Print
370 LPRINT TAB(TAB.POS-1);TITLE$
380 LPRINT EXPAND.OFF$;  :REM'Return to normal
390 LPRINT BOLD.OFF$;    :REM'Return to normal
400 FOR I = 1 TO 3 : LPRINT : NEXT I
410 LPRINT BOLD.ON$;     :REM'Set Emphasized mode
420 LPRINT TAB(TAB.POS+12);"ON DISPLAY"
430 LPRINT BOLD.OFF$;    :REM'Return to normal
440 LPRINT : LPRINT : LPRINT
450 LPRINT TAB(TAB.POS+11);"Version 5.0"
460 FOR I = 1 TO 11 : LPRINT : NEXT I
470 LPRINT TAB(TAB.POS+10); DOC.NAME$
480 LINE.NO = LINE.NO + 27
490 :REM'
500 READ REPLY$
510 REM First, change tildes to quotes
520 FOR Q = 1 TO LEN(REPLY$)
530  IF MID$(REPLY$,Q,1)="~"THEN MID$(REPLY$,Q,1)=CHR$(34)
540 NEXT Q
550 IF LEFT$(REPLY$,1) = "." THEN GOSUB 1270: GOTO 500
560 IF LINE.NO > 44 THEN GOSUB 1030
570 REM Print the line if not a command
580 LPRINT TAB(TAB.POS);REPLY$
590 LINE.NO = LINE.NO + 1
600 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
610 GOTO 500
620 REM Data for the Copyright Page
630 DATA ".pa"
640 DATA " "
750 DATA ".vt 12"
760 DATA "Users are encouraged to copy and share"
770 DATA "the programs with others."
780 DATA ".vt 5"
790 DATA "If you are using these programs, you are"
800 DATA "expected to become a Registered User,"
810 DATA "by making a contribution to the author"
815 DATA "of the programs ($45.00 suggested)."
820 DATA ".sp"
830 DATA "Melvin O. Duke"
840 DATA "P. O. Box 20836"
850 DATA "San Jose, CA  95160"
860 DATA ".vt 4"
870 DATA "Copyright (c) 1983 through 1987, by:"
880 DATA "Melvin O. Duke."
890 DATA ".sp"
900 DATA "All rights reserved."
910 :REM'
920 REM Top of each page routine
930 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
940 LPRINT
950 LPRINT TAB(30); TRIM.LINE$
960 LPRINT DASHES$ :REM'Dashes
970 FOR I = 1 TO 6
980  LPRINT
990 NEXT I
1000 LINE.NO = LINE.NO + 6
1010 RETURN
1020 :REM'
1030 REM Bottom of each page Routine
1040 IF PAGE.NO < 1 THEN LPRINT : LPRINT : LPRINT : GOTO 1160
1050 LPRINT TAB(TAB.POS); STRING$(40,45)  :REM'on line 46
1060 LPRINT TAB(TAB.POS+3); TITLE$+" ON DISPLAY.  Version 5.0" :REM'on line 47
1070 IF PAGE.NO MOD 2 = 1 THEN 1110
1080 LPRINT TAB(TAB.POS);"Page";PAGE.NO;
1090 LPRINT TAB(TAB.POS+27);"User's Manual"
1100 GOTO 1160
1110 LPRINT TAB(TAB.POS); "User's Manual";
1120 IF PAGE.NO < 10 THEN DELTA = 34
1130 IF PAGE.NO >  9 THEN DELTA = 33
1140 IF PAGE.NO > 99 THEN DELTA = 32
1150 LPRINT TAB(TAB.POS+DELTA); "Page"; PAGE.NO  :REM'on line 48
1160 LPRINT : LPRINT : LPRINT
1170 LPRINT DASHES$ :REM'dashes after 51
1180 LPRINT TAB(30); TRIM.LINE$
1190 LPRINT FORM.FEED$;
1200 PAGE.NO = PAGE.NO + 1
1210 LINE.NO = 1
1220 IF REPLY$ = ".eof" THEN 1240  :REM'Bypass after last page
1230 GOSUB 920  :REM'For top of next page
1240 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
1250 RETURN
1260 :REM'
1270 REM Command Processor
1280 IF LEFT$(REPLY$,3) = ".h1" THEN 1390
1290 IF LEFT$(REPLY$,3) = ".h2" THEN 1550
1300 IF LEFT$(REPLY$,3) = ".h3" THEN 1660
1310 IF LEFT$(REPLY$,3) = ".sp" THEN 1770
1320 IF LEFT$(REPLY$,4) = ".eof" THEN 1820
1330 IF LEFT$(REPLY$,3) = ".pa" THEN 1860
1340 IF LEFT$(REPLY$,3) = ".pn" THEN PAGE.NO = VAL(RIGHT$(REPLY$,LEN(REPLY$)-3)) : RETURN
1350 IF LEFT$(REPLY$,3) = ".vt" THEN 1930
1360 IF LEFT$(REPLY$,3) = ".pk" THEN 2040
1370 IF LEFT$(REPLY$,3) = ".in" THEN 2170
1380 STOP
1390 REM Head 1 Processor
1400 FOR I = LINE.NO TO 44
1410  LPRINT
1420 NEXT I
1430 GOSUB 1030  :REM'Bottom of page Routine
1440 IF PAGE.NO MOD 2 = 0 THEN GOSUB 1860  :REM'For h1 on Odd pages
1450 LPRINT BOLD.ON$;     :REM'Set emphasized print
1460 LPRINT EXPAND.ON$;   :REM'Set expanded print
1470 IF PAGE.NO MOD 2 = 0 THEN ADJUST = -2 :ELSE ADJUST = -5
1480 LPRINT TAB(TAB.POS+ADJUST); RIGHT$(REPLY$,LEN(REPLY$)-4)
1490 LPRINT EXPAND.OFF$;  :REM'Return to normal
1500 LPRINT BOLD.OFF$;    :REM'Return to non-bold
1510 LINE.NO = LINE.NO+1
1520 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
1530 RETURN
1540 :REM'
1550 REM Head 2 Processor
1560 IF LINE.NO = 7 THEN 1580 :REM'skip spacing if at top of page
1570 IF LINE.NO > 43 THEN GOSUB 1860 :ELSE LPRINT:LPRINT:LINE.NO = LINE.NO+2
1580 LPRINT BOLD.ON$;  :REM'Set emphasized print
1590 LPRINT TAB(TAB.POS+1); RIGHT$(REPLY$,LEN(REPLY$)-4)
1600 LPRINT BOLD.OFF$; :REM'Return to normal
1610 LPRINT
1620 LINE.NO = LINE.NO + 2
1630 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
1640 RETURN
1650 :REM'
1660 REM Head 3 Processor
1670 IF LINE.NO = 7 THEN 1690 :REM'skip spacing if at top of page
1680 IF LINE.NO > 43 THEN GOSUB 1860 :ELSE LPRINT:LPRINT:LINE.NO = LINE.NO+2
1690 LPRINT BOLD.ON$;  :REM'Set emphasized print
1700 LPRINT TAB(TAB.POS+1); RIGHT$(REPLY$,LEN(REPLY$)-4)
1710 LPRINT BOLD.OFF$; :REM'Return to normal
1720 LPRINT
1730 LINE.NO = LINE.NO + 2
1740 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
1750 RETURN
1760 :REM'
1770 REM Single Space Processor
1780 IF LINE.NO = 7 THEN 1800
1790 IF LINE.NO > 44 THEN GOSUB 1860 :ELSE LPRINT : LINE.NO = LINE.NO + 1
1800 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
1810 RETURN
1820 REM End of File Processor
1830 GOSUB 1860 :REM'Bottom of Page
1850 GOTO 8930
1860 REM Page Eject Processor
1870 FOR I = LINE.NO TO 44
1880  LPRINT
1890  LINE.NO = LINE.NO + 1
1900 NEXT I
1910 GOSUB 1030  :REM'Bottom of Page Processing
1920 RETURN
1930 REM Vertical Tab Processor
1940 IF LINE.NO = 7 THEN 2030
1950 IF LINE.NO > 44 THEN GOSUB 1030  :REM'End of page
1960 QTY = VAL(RIGHT$(REPLY$,LEN(REPLY$)-3))
1970 FOR I = 1 TO QTY
1980  LPRINT
1990  LINE.NO = LINE.NO + 1
2000  IF LINE.NO > 44 THEN I = QTY
2010 NEXT I
2020 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
2030 RETURN
2040 REM Pack Processor
2050 IF LINE.NO > 44 THEN GOSUB 1030
2060 IF TAB.POS = 8 THEN ADJUST = 4
2070 IF TAB.POS = 13 THEN ADJUST = 7
2080 TAB.POS = TAB.POS + ADJUST + INDENT
2090 WIDTH "lpt1:", 132 :REM'set condensed width
2100 LPRINT COMPR.ON$;  :REM'Packed printing
2110 LPRINT TAB(TAB.POS); RIGHT$(REPLY$,LEN(REPLY$)-3)
2120 LPRINT COMPR.OFF$; :REM'Return to normal
2130 WIDTH "lpt1:", 80  :REM'return to normal
2140 LINE.NO = LINE.NO + 1
2150 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
2160 RETURN
2170 REM Indent Processor
2180 INDENT = VAL(RIGHT$(REPLY$,LEN(REPLY$)-3))
2190 RETURN
3000 DATA ".h1 USING THE PROGRAMS"
3010 DATA ".pn 23"
3020 DATA ".h2 GETTING STARTED"
3030 DATA "The user should perform the following"
3040 DATA "steps in starting the Genealogy ON"
3050 DATA "DISPLAY programs.  (Note: The steps"
3060 DATA "essentially provide for making BASIC"
3070 DATA "available, and starting the menu.)"
3080 DATA ".sp
3090 DATA "1.  Insert the PC DOS diskette into"
3100 DATA "    Drive 'a:'."
3110 DATA ".sp
3120 DATA "2.  If using the PCjr, insert the"
3130 DATA "    BASIC Cartridge into either slot."
3140 DATA ".sp
3150 DATA "3.  Turn the Printer On."
3160 DATA ".sp"
3170 DATA "4.  Turn the System On."
3180 DATA ".sp"
3190 DATA "5.  Type today's date if the system"
3200 DATA "    asks the user to Enter today's date."
3210 DATA ".sp"
3220 DATA "6.  Type the correct time if the system"
3230 DATA "    asks the user to Enter the time."
3240 DATA ".sp"
3250 DATA "7.  Type: basic/s:256"
3260 DATA "          and press the enter key."
3270 DATA ".sp"
3280 DATA "Note:  The /s:256 is essential, in order"
3290 DATA "to use files whose records are as long"
3300 DATA "as those of Genealogy ON DISPLAY."
3310 DATA ".pa"
3320 DATA "Without the /s:256 the MENU program"
3330 DATA "gives an error message when it tries"
3340 DATA "to use the verifile (which has one"
3350 DATA "record which is 256 characters long)."
3360 DATA "The program is terminated, and it is"
3370 DATA "necessary to go back to DOS and to"
3380 DATA "bring up BASIC with /s:256."
3390 DATA ".sp"
3400 DATA "8.  Replace the DOS Diskette with the"
3410 DATA "    Genealogy ON DISPLAY diskette in"
3420 DATA "    Drive 'a:'."
3430 DATA ".sp"
3440 DATA "9.  Type: run ~menu~"
3450 DATA "           and press the enter key."
3460 DATA ".sp"
3470 DATA "10.  Follow any instructions which"
3480 DATA "     appear at the bottom of each"
3490 DATA "     screen."
3500 DATA ".pa"
3510 DATA ".h2 FIRST TIME USAGE"
3520 DATA ".h3 Backing up the Diskettes"
3530 DATA "Good procedures indicate that upon"
3540 DATA "receipt of any program or programs, it"
3550 DATA "is highly desirable for you to make"
3560 DATA "back-up copies for your own protection."
3570 DATA "Such is surely the case with the"
3580 DATA "Genealogy ON DISPLAY programs."
3590 DATA ".sp"
3600 DATA "Once you have entered genealogical data"
3610 DATA "into your Data Diskette (see below),"
3620 DATA "you will also want to back up that data"
3630 DATA "from time to time."
3640 DATA ".h3 Preparing a New Data Diskette"
3650 DATA "Begin with a formatted diskette,"
3660 DATA "which was formatted without including"
3670 DATA "DOS (no /s).
3680 DATA ".sp"
3690 DATA "If you do not have one available,"
3700 DATA "it will be necessary to format one."
3710 DATA "Refer to FORMAT Command in the DOS"
3720 DATA "Manual."
3730 DATA ".pa"
3740 DATA ".h3 Copying the Verifile Data File"
3750 DATA "The verifile must be copied to the data"
3760 DATA "diskette, so that it will be available"
3770 DATA "for verifying the /s:256 parameter when-"
3780 DATA "ever the Genealogy Programs are used."
3790 DATA ".sp"
3800 DATA "Copy the verifile to the Data Diskette"
3810 DATA "with the following:"
3820 DATA ".sp"
3830 DATA "1.  Bring up DOS (but not BASIC)."
3840 DATA ".sp"
3850 DATA "2.  Insert the Program Diskette in"
3860 DATA "      Drive 'a:' (and the Data Diskette"
3870 DATA "      in drive 'b:' if you have one)."
3880 DATA ".sp"
3890 DATA "3.  Type:  copy a:verifile b:"
3900 DATA "      and press the enter key."
3910 DATA ".sp"
3920 DATA "4.  On a one-drive system, replace the"
3930 DATA "      Program Diskette with the Data"
3940 DATA "      Diskette when asked to do so,"
3950 DATA "      and press the enter key."
3960 DATA ".pa"
3970 DATA ".h3 Copying the Menu Program"
3980 DATA "The Menu program must be copied to the"
3990 DATA "data diskette, so that it will be"
4000 DATA "available whenever any of the individual"
4010 DATA "programs are completed."
4020 DATA ".sp"
4030 DATA "Copy the Menu Program to the Data"
4040 DATA "diskette with the following:"
4050 DATA ".sp"
4060 DATA "1.  Bring up DOS and BASIC in the"
4070 DATA "    normal manner."
4080 DATA ".sp"
4090 DATA "2.  Insert the Program Diskette in"
4100 DATA "      Drive 'a:'."
4110 DATA ".sp"
4120 DATA "3.  Type:  load ~menu~"
4130 DATA "      and press the enter key."
4140 DATA ".sp"
4150 DATA "4.  Replace the Program Diskette with"
4160 DATA "      the Data Diskette (which was newly"
4170 DATA "      formatted) in Drive 'a:'."
4180 DATA ".sp"
4190 DATA "5.  Type:  save ~menu~"
4200 DATA "      and press the enter key."
4210 DATA ".pa"
4220 DATA ".h3 Formatting the Data Files"
4230 DATA "Assuming that the menu program has just"
4240 DATA "been saved from the previous step (if it"
4250 DATA "has not, bring up DOS and BASIC, have the"
4260 DATA "Program Diskette in place, and type:"
4270 DATA "load ~menu~ and press the enter key."
4280 DATA "Then,) type:"
4290 DATA ".sp"
4300 DATA "  run"
4310 DATA "    and press the enter key."
4320 DATA ".sp"
4330 DATA "Follow any directions which appear at"
4340 DATA "the bottom of the screen, which will show"
4350 DATA "you which diskette to have in place in"
4360 DATA "Drive 'a:'."
4370 DATA ".sp"
4380 DATA "When the menu is displayed, select the"
4390 DATA "'creatper' program by typing:"
4400 DATA ".sp"
4410 DATA "  1"
4420 DATA "    and press the enter key."
4430 DATA ".sp"
4440 DATA "This will cause the formatting of a"
4450 DATA "Persons File, which will contain 500"
4460 DATA "records, into which you will shortly be"
4470 DATA "entering data about the persons on your"
4480 DATA "list."
4490 DATA ".sp"
4500 DATA "Next, select the 'creatmar' program, by"
4510 DATA "typing:"
4520 DATA ".sp"
4530 DATA "  2"
4540 DATA "    and press the enter key."
4550 DATA ".pa"
4560 DATA "This will cause the formatting of a"
4570 DATA "Marriages File, which will contain 200"
4580 DATA "records, into which you will shortly"
4590 DATA "be entering data about the marriages"
4600 DATA "on your list."
4610 DATA ".sp"
4620 DATA "Finally, select the 'creatord' program,"
4630 DATA "by typing:"
4640 DATA ".sp"
4650 DATA "  3"
4660 DATA "    and press the enter key."
4670 DATA ".sp"
4680 DATA "This will cause the formatting of the"
4690 DATA "Ordinances File, which will contain"
4700 DATA "500 records, into which you will"
4710 DATA "shortly be entering data about ordi-"
4720 DATA "nances for the people on your list."
4730 DATA ".h3 Caution
4740 DATA "A word of extreme caution:  Once you"
4750 DATA "have run the 'creatper' program, the"
4760 DATA "'creatmar' program, and the 'creatord'"
4770 DATA "programs, you do NOT, repeat NOT, want"
4780 DATA "to run them again (at least not"
4790 DATA "against the same files)."
4800 DATA ".sp"
4810 DATA "To do so would mean that you would"
4820 DATA "wipe-out any previous data that was in"
4830 DATA "the files at the time that you ran the"
4840 DATA "programs again."
4850 DATA ".pa"
4860 DATA ".h2 HOW TO OPERATE."
4870 DATA ".h3 Selecting an individual program.
4880 DATA "Individual programs, which perform"
4890 DATA "individual functions, are selected by"
4900 DATA "the user through the use of a menu."
4910 DATA ".sp"
4920 DATA "Begin by bringing up DOS and BASIC in"
4930 DATA "a normal manner.  Have the Program"
4940 DATA "Diskette in place.  Then type:"
4950 DATA ".sp"
4960 DATA "  run ~menu~"
4970 DATA "    and press the enter key."
4980 DATA ".sp"
4990 DATA "Following a logo on the screen, there"
5000 DATA "will appear a menu, which numbers the"
5010 DATA "individual programs, identifies their"
5020 DATA "names, and describes their functions."
5030 DATA ".sp"
5040 DATA "A user selects the individual program"
5050 DATA "which he desires by typing a number,"
5060 DATA "and then he presses the enter key.  The"
5070 DATA "program which he selected is then loaded"
5080 DATA "and run."
5090 DATA ".pa"
5100 DATA ".h3 Operating the updatper program."
5110 DATA "After selecting the updatper program,"
5120 DATA "the user should make sure that the data"
5130 DATA "diskette is in Drive 'a:'.  He should"
5140 DATA "then press any key to continue."
5150 DATA ".sp"
5160 DATA "After the logo is displayed, the user"
5170 DATA "is asked which record he wants to up-"
5180 DATA "date.  He should respond with a valid"
5190 DATA "number in the range of 1 to 500."
5200 DATA ".sp"
5210 DATA "(Note:  If you just want to find an"
5220 DATA "unused record, you may type a question-"
5230 DATA "mark.  A search will be made from the"
5240 DATA "the beginning of the file, or from the"
5250 DATA "last record which you referenced, until"
5260 DATA "an unused record is found, or the top"
5270 DATA "of the file is reached.)"
5280 DATA ".sp"
5290 DATA "The current content of the record is"
5300 DATA "shown.  If the record has never been"
5310 DATA "used, the record-number shown will be"
5320 DATA "negative.  As long as this number is"
5330 DATA "negative, it will be bypassed for any"
5340 DATA "further processing.  The user should"
5350 DATA "enter the record-number."
5360 DATA ".sp"
5370 DATA "The user is prompted for input.  He may"
5380 DATA "bypass any field by pressing the enter"
5390 DATA "key.  He may also bypass all remaining"
5400 DATA "fields by typing / and then pressing"
5410 DATA "the enter key."
5420 DATA ".sp"
5430 DATA "Note:  Dates should be entered as:"
5440 DATA "dd Mmm yyyy, such as: 16 Jan 1943."
5450 DATA ".pa"
5460 DATA "When finished with his updating, he is"
5470 DATA "asked to indicate what he wants to do"
5480 DATA "with the record.  He may either 'save'"
5490 DATA "it, he may 'forget' it, or he may make"
5500 DATA "'more' changes to the record.  As soon"
5510 DATA "as he says 'save', the record is saved"
5520 DATA "and he is once more prompted about the"
5530 DATA "next record to update."
5540 DATA ".sp"
5550 DATA "When he is through, he should indicate"
5560 DATA "that he wants to update record 0."
5570 DATA ".pa"
5580 DATA ".h3 Operating the updatmar program."
5590 DATA "After selecting the updatmar program,"
5600 DATA "the user should make sure that the"
5610 DATA "data diskette is in Drive 'a:'.  He"
5620 DATA "should then press any key to continue."
5630 DATA ".sp"
5640 DATA "After the logo is displayed, the user"
5650 DATA "is asked which record he wants to up-"
5660 DATA "date.  He should respond with a valid"
5670 DATA "number in the range of 1 to 200."
5680 DATA ".sp"
5690 DATA "(Note:  If you just want to find an"
5700 DATA "unused record, you may type a question-"
5710 DATA "mark.  A search will be made from the"
5720 DATA "the beginning of the file, or from the"
5730 DATA "last record which you referenced, until"
5740 DATA "an unused record is found, or the top"
5750 DATA "of the file is reached.)"
5760 DATA ".sp"
5770 DATA "The current content of the record is"
5780 DATA "shown.  If the record has never been"
5790 DATA "used, the record-number shown will be"
5800 DATA "negative.  As long as this number is"
5810 DATA "negative, it will be bypassed for any"
5820 DATA "further processing.  The user should"
5830 DATA "enter the record-number."
5840 DATA ".sp"
5850 DATA "The user is prompted for input.  He may"
5860 DATA "bypass any field by pressing the enter"
5870 DATA "key.  He may also bypass all remaining"
5880 DATA "fields by typing / and then pressing"
5890 DATA "the enter key."
5900 DATA ".pa"
5910 DATA "When finished with his updating, he is"
5920 DATA "asked to indicate what he wants to do"
5930 DATA "with the record.  He may either 'save'"
5940 DATA "it, he may 'forget' it, or he may make"
5950 DATA "'more' changes to the record.  As soon"
5960 DATA "as he says 'save', the record is saved"
5970 DATA "and he is once more prompted about the"
5980 DATA "next record to update."
5990 DATA ".sp"
6000 DATA "When he is through, he should indicate"
6010 DATA "that he wants to update record 0."
6020 DATA ".pa"
6030 DATA ".h2 Operating the updatord program."
6040 DATA "After selecting the updatord program,"
6050 DATA "the user should make sure that the data"
6060 DATA "diskette is in Drive 'a:'.  He should"
6070 DATA "then press any key to continue."
6080 DATA ".sp"
6090 DATA "After the logo is displayed, the user"
6100 DATA "is asked which record he wants to up-"
6110 DATA "date.  He should respond with a valid"
6120 DATA "number in the range of 1 to 500."
6130 DATA ".sp"
6140 DATA "(Note:  You cannot search for an unused"
6150 DATA "ordinances record, since it is always"
6160 DATA "associated with a person's record.)"
6170 DATA ".sp"
6180 DATA "The user is prompted for input.  He may"
6190 DATA "bypass any field by pressing the enter"
6200 DATA "key.  He may also bypass all remaining"
6210 DATA "fields by typing / and then pressing"
6220 DATA "the enter key."
6230 DATA ".sp"
6240 DATA "Dates should be entered as: dd Mmm yyyy,"
6250 DATA "such as:  22 Aug 1922."
6260 DATA ".sp"
6270 DATA "When finished with his updating, he is"
6280 DATA "asked to indicate what he wants to do"
6290 DATA "with the record.  He may either 'save'"
6300 DATA "it, he may 'forget' it, or he may make"
6310 DATA "'more' changes to the record.  As soon"
6320 DATA "as he says 'save', the record is saved"
6330 DATA "and he is once more prompted about the"
6340 DATA "next record to update."
6350 DATA ".sp"
6360 DATA "When he is through, he should indicate"
6370 DATA "that he wants to update record 0."
6380 DATA ".pa"
6390 DATA ".h3 Operating the indexpc program."
6400 DATA "The 'indexpc' program is fundamental to"
6410 DATA "the preparation of a parent/child index,"
6420 DATA "which associates parents with their"
6430 DATA "children."
6440 DATA ".sp"
6450 DATA "It should be run after any additions"
6460 DATA "of persons to the Persons File, when-"
6470 DATA "ever birthdates are added or changed,"
6480 DATA "or when identification of parents have"
6490 DATA "been added or changed."
6500 DATA ".sp"
6510 DATA "Select the 'indexpc' program, and make"
6520 DATA "sure that the data diskette is in"
6530 DATA "Drive 'a:'.  Then press any key to"
6540 DATA "continue."
6550 DATA ".sp"
6560 DATA "A file named 'pcindex' will be created"
6570 DATA "on the data diskette on Drive 'a:'."
6580 DATA ".pa"
6590 DATA ".h3 Operating the indexmar program."
6600 DATA "The 'indexmar' program is fundamental"
6610 DATA "to the preparation of a marriages index,"
6620 DATA "which associates spouses with each"
6630 DATA "other."
6640 DATA ".sp"
6650 DATA "It should be run after marriages are"
6660 DATA "added to the Marriages File, whenever"
6670 DATA "marriage-dates are added or changed,"
6680 DATA "or whenever changes are made which re-"
6690 DATA "identify spouses."
6700 DATA ".sp"
6710 DATA "Select the 'indexmar' program, and make"
6720 DATA "sure that the data diskette is in"
6730 DATA "Drive 'a:'.  Then press any key to"
6740 DATA "continue."
6750 DATA ".sp"
6760 DATA "A data file named 'mindex' will be"
6770 DATA "created on the data diskette in Drive"
6780 DATA "'a:'."
6790 DATA ".pa"
6800 DATA ".h3 Operating the display program."
6810 DATA "Before running the display program,"
6820 DATA "the user should know that any changes"
6830 DATA "that he has made to the data files may"
6840 DATA "have made his indexes out-of-date."
6850 DATA "This will have happened if the user"
6860 DATA "has entered a new person, a new"
6870 DATA "marriage, a new relationship (such as"
6880 DATA "a reference to a parent), a new"
6890 DATA "birth-date, a new marriage-date, or"
6900 DATA "a new Name."
6910 DATA ".sp"
6920 DATA "The indexes are still correct if the"
6930 DATA "user has entered new death-dates,"
6940 DATA "burial-dates, or any information about"
6950 DATA "locations (cities, counties, states)"
6960 DATA "of births, deaths, ordinances, etc."
6970 DATA ".sp"
6980 DATA "If the indexes are out-of-date, the"
6990 DATA "user should update them before running"
7000 DATA "the 'display' program, by running the"
7010 DATA "'indexper' and 'indexmar' programs."
7020 DATA ".sp"
7030 DATA "After selecting the 'display' program,"
7040 DATA "the user should make sure that the Data"
7050 DATA "Diskette is in Drive 'a:'.  He should"
7060 DATA "then press any key to continue."
7070 DATA ".sp"
7080 DATA "After the logo is displayed, the user"
7090 DATA "is asked for the record-number of the"
7100 DATA "person that he wants to locate.  He"
7110 DATA "should enter a number which he knows to"
7120 DATA "be valid."
7130 DATA ".pa"
7140 DATA "The personal information about that"
7150 DATA "person will then be shown on the display."
7160 DATA ".sp"
7170 DATA "The user may then enter 'ps' (print"
7180 DATA "the screen), he may enter 'pc' (for a"
7190 DATA "pedigree chart), he may enter 'fg' (for"
7200 DATA "a family group), he may enter 'o' (for"
7210 DATA "ordinance information), he may enter 'p'"
7220 DATA "followed by a valid number (requesting"
7230 DATA "information about a person), he may enter"
7240 DATA "'m' followed by a valid number (requesting"
7250 DATA "information about a marriage), or he may"
7260 DATA "enter 'q' (asking to quit)."
7270 DATA ".sp"
7280 DATA "When the pedigree information appears,"
7290 DATA "the user may then enter 'ps' (print the"
7300 DATA "screen, he may enter 'fg' (requesting"
7310 DATA "a family group), he may enter 'pc'"
7320 DATA "(asking that the pedigree chart be"
7330 DATA "re-drawn), he may enter 'l' followed by"
7340 DATA "a valid number (requesting personal"
7350 DATA "information about a person on the stated"
7360 DATA "line), he may enter 'm' followed by a"
7370 DATA "valid number (requesting information"
7380 DATA "about a marriage), or he may enter 'q'"
7390 DATA "(asking to quit)."
7400 DATA ".pa"
7410 DATA "When the family group information appears,"
7420 DATA "the user may enter 'ps' (print the"
7430 DATA "screen), he may enter 'f' (asking for the"
7440 DATA "father), he may enter 'm' (asking for the"
7450 DATA "mother), he may enter 'p' followed by a"
7460 DATA "valid number (asking for about a person),"
7470 DATA "he may enter 'c' followed by a valid"
7480 DATA "number (asking for information about a"
7490 DATA "child), he may enter 'm' followed by a"
7500 DATA "valid number (requesting information"
7510 DATA "about a marriage, or he may enter 'q'"
7520 DATA "(asking to quit)."
7530 DATA ".sp"
7540 DATA "When the ordinance information appears,"
7550 DATA "The user may then enter 'ps' (print"
7560 DATA "the screen), he may enter 'pc' (for a"
7570 DATA "pedigree chart), he may enter 'fg' (for"
7580 DATA "a family group), he may enter 'o' (for"
7590 DATA "ordinance information), he may enter 'p'"
7600 DATA "followed by a valid number (requesting"
7610 DATA "information about a person), he may enter"
7620 DATA "'m' followed by a valid number (request-"
7630 DATA "ing information about a marriage), or he"
7640 DATA "may enter 'q' (asking to quit)."
7650 DATA ".pa"
7660 DATA ".h2 Operating the Pedigree Program"
7670 DATA "After selecting the 'pedigree' program,"
7680 DATA "the user should make sure that the"
7690 DATA "data diskette is in Drive 'a:'.  He"
7700 DATA "should then press any key to continue."
7710 DATA ".sp"
7720 DATA "He should then follow any instructions"
7730 DATA "which appear at the bottom of the screen,"
7740 DATA "specifying the person-number of the"
7750 DATA "person whose Pedigree Chart is desired."
7760 DATA "(Note:  If the record selected is empty,"
7770 DATA "a blank pedigree chart will be printed.)"
7780 DATA ".sp"
7790 DATA "Note:  The pedigree program was designed"
7800 DATA "to use a form which is Copyrighted, 1966,"
7810 DATA "The Genealogical Society of the Church"
7820 DATA "of Jesus Christ of Latter Day Saints,"
7830 DATA "Inc., Stock #GA-054"
7840 DATA ".sp"
7850 DATA "If such a form is not available, the"
7860 DATA "pedigree chart can be printed on any"
7870 DATA "available printer paper."
7880 DATA ".pa"
7890 DATA ".h2 Operating the Family Program"
7900 DATA "After selecting the 'family' program,"
7910 DATA "the user should make sure that the"
7920 DATA "data diskette is in Drive 'a:'.  He"
7930 DATA "should then press any key to continue."
7940 DATA ".sp"
7950 DATA "He should then follow any instructions"
7960 DATA "which appear at the bottom of the screen,"
7970 DATA "specifying the marriage-number of the"
7980 DATA "marriage whose Family Group Sheet is"
7990 DATA "desired.  (Note:  If the record selected"
8000 DATA "is empty, a blank Family Group Sheet will"
8010 DATA "be printed.)"
8020 DATA ".sp"
8030 DATA "Note:  The family program was designed"
8040 DATA "to use a Family Group Record form, which"
8050 DATA "was copyrighted 1972 by the Genealogical"
8060 DATA "Society of the Church of Jesus Christ of"
8070 DATA "Latter Day Saints, Inc., Stock #GA-032."
8080 DATA ".sp"
8090 DATA "If such a form is not available, the"
8100 DATA "family group can be printed on any"
8110 DATA "available printer paper."
8120 DATA ".pa"
8130 DATA ".h3 Operating the Descend Program"
8140 DATA "After selecting the 'descend' program,"
8150 DATA "the user should make sure that the"
8160 DATA "data diskette is in Drive 'a:'.  He"
8170 DATA "should then press any key to continue."
8180 DATA ".sp"
8190 DATA "He should then follow any instructions"
8200 DATA "which appear at the bottom of the screen,"
8210 DATA "specifying the person-number of the"
8220 DATA "person whose Descendents Chart is"
8230 DATA "desired."
8240 DATA ".h3 Operating the other programs."
8250 DATA "After selecting one of the other pro-"
8260 DATA "grams, the user should make sure that"
8270 DATA "the data diskette is in Drive 'a:'.  He"
8280 DATA "should then press any key to continue."
8290 DATA ".sp"
8300 DATA "Note:  See the Table of Contents for the"
8310 DATA "names of the other programs."
8320 DATA ".sp"
8330 DATA "After the logo is displayed, the user"
8340 DATA "observes the information that is being"
8350 DATA "shown on the display screen, and waits"
8360 DATA "for the program to complete."
8370 DATA ".pa"
8380 DATA ".h2 HOW TO STOP."
8390 DATA "The user may stop at any time, by"
8400 DATA "pressing (and holding down) the Function"
8410 DATA "(FN) key, and then pressing the Break"
8420 DATA "(B) key on the PCjr."
8430 DATA ".sp"
8440 DATA "The user may stop at any time, by"
8450 DATA "pressing (and holding down) the control"
8460 DATA "(Ctrl) key, and then pressing the Break"
8470 DATA "key on the PC, PPC, or PC/XT."
8480 DATA ".sp"
8490 DATA ".h3 Stopping the Update Programs."
8500 DATA "The user may stop one of the update"
8510 DATA "programs (updatper, updatmar, or"
8520 DATA "updatord) by requesting an update of"
8530 DATA "record 0."
8540 DATA ".h3 Stopping the Display Program."
8550 DATA "The user may stop the display program"
8560 DATA "by typing 'q' or 'quit' when he is asked"
8570 DATA "for his next action, or he may type"
8580 DATA "'p0', to request person-number 0."
8590 DATA ".h3 Stopping the Pedigree Program."
8600 DATA "The user may stop the pedigree program"
8610 DATA "by asking for a printout of the pedigree"
8620 DATA "for person-number 0."
8630 DATA ".pa"
8640 DATA ".h3 Stopping the Family Program."
8650 DATA "The user may stop the family program"
8660 DATA "by asking for a printout of the family"
8670 DATA "whose marriage-number is 0."
8680 DATA ".h3 Stopping the Descend Program."
8690 DATA "The user may stop the descend program"
8700 DATA "by asking for the display or printout"
8710 DATA "of the person whose person-number is 0."
8720 DATA ".h3 Stopping the Other Programs."
8730 DATA "The other programs may only be stopped"
8740 DATA "with the 'function-break' or the"
8750 DATA "'control-break' sequence, as indicated"
8760 DATA "above.  However, the user is cautioned"
8770 DATA "that if he does this while writing new"
8780 DATA "indexes to the diskette (during the"
8790 DATA "running of the 'indexpc' or 'indexmar'"
8800 DATA "programs), the index that is currently"
8810 DATA "being written may be destroyed, and"
8820 DATA "will have to be re-built before the"
8830 DATA "'display', 'pedigree', 'family', and"
8840 DATA "'alphamar' programs are run."
8850 DATA ".sp"
8860 DATA "The damaged index can be re-built by"
8870 DATA "re-running the 'indexpc' or 'indexmar'"
8880 DATA "program which was stopped with the"
8890 DATA "'function-break' or 'control-break'"
8900 DATA "sequence."
8910 DATA ".pa"
8920 DATA ".eof"
8930 END
