/* test area stuff */

call OpenScreen(0, 3, 'HIRES+LACE', 'MyScreen', MYTEST)

runwsh "'x = createhost(myhost, MYPORT, MYTEST)'"

call delay(100)

idcmp = 'CLOSEWINDOW'
flags = 'WINDOWCLOSE+WINDOWDRAG+WINDOWSIZING+WINDOWDEPTH'
call OpenWindow(myhost, 0, 0, 0, 0, idcmp, flags, TESTWINDOW)

call SetAPen(myhost, 1)
call SetRGB4(myhost, 0, 0, 0, 0)
call SetRGB4(myhost, 1, 15, 15, 15)
call SetRGB4(myhost, 2, 15,  0,  0)
call SetRGB4(myhost, 3,  0, 15,  0)
call SetRGB4(myhost, 4,  0,  0, 15)
call SetRGB4(myhost, 5,  0, 15, 15)
call SetRGB4(myhost, 6, 15,  0, 15)
call SetRGB4(myhost, 7, 15, 15,  0)

call SetApen(myhost, 1)
do i = 0 to 7
   call AreaMove(myhost, 10 + 30 * i, 20)
   call AreaDraw(myhost, 35 + 30 * i, 20)
   call AreaDraw(myhost, 35 + 30 * i, 35)
   call AreaDraw(myhost, 10 + 30 * i, 35)
   if  i = 0 then call AreaEnd(myhost, 2048 + i)
   else           call AreaEnd(myhost, i)
end

call SetApen(myhost, 1)
do i = 0 to 15
   call AreaMove(myhost, 10 + 30 * i, 60)
   call AreaDraw(myhost, 35 + 30 * i, 60)
   call AreaDraw(myhost, 35 + 30 * i, 75)
   call AreaDraw(myhost, 10 + 30 * i, 75)
   call AreaEnd(myhost, 2048 + 256 + i)
end

do r = 0 to 4
do g = 0 to 4
do b = 0 to 4
   call AreaMove(myhost, 10 + 25 * b + 125 * g, 100 + 25 * r)
   call AreaDraw(myhost, 35 + 25 * b + 125 * g, 100 + 25 * r)
   call AreaDraw(myhost, 35 + 25 * b + 125 * g, 125 + 25 * r)
   call AreaDraw(myhost, 10 + 25 * b + 125 * g, 125 + 25 * r)
   call SetApen(myhost, r)
   call AreaEnd(myhost, 512 + r * 25 + g * 5 + b)
end
end
end

call SetApen(myhost, 1)
do i = 0 to 7
   call AreaCircle(myhost, 25 + 30 * i, 250, 14)
   if  i = 0 then call AreaEnd(myhost, 2048 + i)
   else           call AreaEnd(myhost, i)
end

call SetApen(myhost, 1)
do i = 0 to 15
   call AreaCircle(myhost, 25 + 30 * i, 290, 14)
   call AreaEnd(myhost, 2048 + 256 + i)
end

do r = 0 to 4
do g = 0 to 4
do b = 0 to 4
   call AreaCircle(myhost, 20 + 25 * b + 125 * g, 330 + 20 * r, 10)
   call SetApen(myhost, r)
   call AreaEnd(myhost, 2048 + 512 + r * 25 + g * 5 + b)
end
end
end

call delay(200)

call CloseWindow(myhost)

call CloseScreen(MYTEST)

exit
