/** getall.rexx
*
*   This function edits all files matching the wildcards specified.
*
**/
parse arg fn

ss = strip(ss)
options prompt "Next? "

if fn = "" then do
   say "Usage: editall <wildcards>"
   exit
end

call filelist(fn, files, F)

if files.0 = 0 then do
   say "No files found"
   exit
end

do i = 1 to files.0
   if files.i = "" then leave

   if i ~= 1 then do
      parse pull yesno
      if left(yesno, 1) = 'n' then do
         say "Aborted"
         exit
      end
   end

   'e 'files.i' sticky'
end

say "Done"

exit
