#include <curses.h>
#include <math.h>
#include "defs.h"

disp_chart (dab, stdy, styr)
int     dab,stdy,styr;			/* days after birth for plot */
{

	int     i, p, s, day;
	int     span = 30;		/* No. of days displayed */
	int     month, dt;


	erase ();			/* Clear the screen */

	move (5, 70);
	addch ('+');		/* add the plus sign */
	move (10, 70);
	addch ('0');		/* add the 0 for median */
	move (15, 70);
	addch ('-');		/* add the minus sign */
	for (day = 0; day < span; day++)
	{
		i = 10 - (10.0 * sin ((day + dab) / 33.0 * 2.0 * PI));
		p = 10 - (10.0 * sin ((day + dab) / 23.0 * 2.0 * PI));
		s = 10 - (10.0 * sin ((day + dab) / 28.0 * 2.0 * PI));
		move (10, day * 2);
		addch ('-');
		move (i, day * 2);
		addch ((i == p || i == s) ? '*' : 'I');
		move (p, day * 2);
		addch ((p == i || p == s) ? '*' : 'P');
		move (s, day * 2);
		addch ((s == i || s == p) ? '*' : 'S');
		dt = date (day + stdy, styr, &month);
		pr_dte (dt, day * 2, month);
	}
	move (23, 25);
	noecho ();
	attrset (A_REVERSE);
	printw ("PRESS ANY KEY TO CONTINUE");
	attrset (0);
	refresh ();
	getch ();
	echo ();
}
