
* Header file for the FileSelect.

				;Flags
FSB_NOINFO	=0		;Don't want to see '.info' files
FSB_NOFILE	=1		;Don't want to see files
FSB_NODIR	=2		;Don't want to see dirs
FSB_NODRIVE	=3		;Don't want to see drives
FSB_NOVOL	=4		;Don't want to see volumes
FSB_NOASSIGN	=5		;Don't want to see logical devices
FSB_NOFILESIZE	=6		;Don't want to see file-sizes

FSF_NOINFO	=(1<<FSB_NOINFO)
FSF_NOFILE	=(1<<FSB_NOFILE)
FSF_NODIR	=(1<<FSB_NODIR)
FSF_NODRIVE	=(1<<FSB_NODRIVE)
FSF_NOVOL	=(1<<FSB_NOVOL)
FSF_NOASSIGN	=(1<<FSB_NOASSIGN)
FSF_NODEV	=FSF_NODRIVE+FSF_NOVOL+FSF_NOASSIGN
FSF_NOFILESIZE	=(1<<FSB_NOFILESIZE)

				;Result codes returned by FileSelect
FSENoMem	=-3		;Could not get memory for internal use
FSENoWin	=-2		;Could not open window
FSENoLib	=-1		;Could not open either dos/graphics/intuition.library
FSENeg		=0		;No file has been selected
FSEPos		=1		;A file has been selected

				;The FileSelectRequest is what the
				;user has to pass as a parameter
				;STRUCTURE FileSelectRequest
FR_LeftEdge	=0		;WORD FR_LeftEdge
FR_TopEdge	=2		;WORD FR_TopEdge
FR_Flags	=4		;WORD FR_Flags
FR_PathChars	=6		;WORD FR_PathChars
FR_FileChars	=8		;WORD FR_FileChars
FR_PathBuf	=10		;APTR FR_PathBuf	;ptr to buffer of size FR_PathChars (in bytes)
FR_FileBuf	=14		;APTR FR_FileBuf	;ptr to buffer of size FR_FileChars (in bytes)
FR_TitleTxt	=18		;APTR FR_TitleTxt	;ptr to text to use as window title instead  of the default 'Select a file'
FR_PosTxt	=22		;APTR FR_PosTxt		;ptr to text to put in the 'Ok' gadget (Max 6 bytes)
FR_NegTxt	=26		;APTR FR_NegTxt		;ptr to text to put in the 'Cancel' gadget (Max 6 bytes)
FR_Screen	=30		;APTR FR_Screen		;ptr to screen to open the window on (0=workbench)
* These are -PRIVATE-, The user MUSTN'T modify them
FR_List		=34		;APTR FR_List		;ptr to list of names
FR_TopView	=38		;APTR FR_TopView	;ptr to first visible name
FR_TopCount	=42		;WORD FR_TopCount	;count of first visible name
FR_Files	=44		;WORD FR_Files		;number of files read
FR_Dirs		=46		;WORD FR_Dirs		;number of directories read
FR_Devs		=48		;WORD FR_Devs		;number of devices read
FR_Count	=50		;WORD FR_Count		;number of files+directories read (+ devices if not NOTDEVS)
FR_ToDo		=52		;WORD FR_ToDo		;A few flags
FR_SIZEOF	=54		;Size of FileSelectRequest

