100 REM APPENDIX Program.
110 REM Documentation.  Appendices.
120 REM Copyright (c) 1983 - 1987 by: Melvin O. Duke.
' Ported to the Amiga in March 1988 by Nathan Barber
' Adaptions for Amiga graphics (c) 1988 by Nathan Barber
130 DATA Genealogy
140 DATA User's Manual
150 DATA -5
160 DATA 1
170 INDENT = 0
180 REM Printer Definitions
190 FORM.FEED$  = CHR$(12)
200 COMPR.OFF$  = CHR$(18)     : COMPR.ON$ = CHR$(15)
210 BOLD.OFF$   = CHR$(27)+"F" : BOLD.ON$ = CHR$(27)+"E"
220 EXPAND.OFF$ = CHR$(18)     : EXPAND.ON$ = CHR$(14)
230 DASHES$ = "+"+STRING$(54,45)+"+"
240 TRIM.LINE$ = "(Trim-line)"
300 REM Program begins here
310 READ TITLE$, DOC.NAME$, PAGE.NO, LINE.NO
320 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
330 GOSUB 920  :REM'For trim line and heading space
340 FOR I = 1 TO 6 : LPRINT : NEXT I
350 LPRINT BOLD.ON$;     :REM'Set Emphasized mode
360 LPRINT EXPAND.ON$;   :REM'Set Expanded Print
370 LPRINT TAB(TAB.POS-1);TITLE$
380 LPRINT EXPAND.OFF$;  :REM'Return to normal
390 LPRINT BOLD.OFF$;    :REM'Return to normal
400 FOR I = 1 TO 3 : LPRINT : NEXT I
410 LPRINT BOLD.ON$;     :REM'Set Emphasized mode
420 LPRINT TAB(TAB.POS+12);"ON DISPLAY"
430 LPRINT BOLD.OFF$;    :REM'Return to normal
440 LPRINT : LPRINT : LPRINT
450 LPRINT TAB(TAB.POS+11);"Version 5.0"
460 FOR I = 1 TO 11 : LPRINT : NEXT I
470 LPRINT TAB(TAB.POS+10); DOC.NAME$
480 LINE.NO = LINE.NO + 27
490 :REM'
500 READ REPLY$
510 REM First, change tildes to quotes
520 FOR Q = 1 TO LEN(REPLY$)
530  IF MID$(REPLY$,Q,1)="~"THEN MID$(REPLY$,Q,1)=CHR$(34)
540 NEXT Q
550 IF LEFT$(REPLY$,1) = "." THEN GOSUB 1270: GOTO 500
560 IF LINE.NO > 44 THEN GOSUB 1030
570 REM Print the line if not a command
580 LPRINT TAB(TAB.POS);REPLY$
590 LINE.NO = LINE.NO + 1
600 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
610 GOTO 500
620 REM Data for the Copyright Page
630 DATA ".pa"
640 DATA " "
750 DATA ".vt 12"
760 DATA "Users are encouraged to copy and share"
770 DATA "the programs with others."
780 DATA ".vt 5"
790 DATA "If you are using these programs, you are"
800 DATA "expected to become a Registered User,"
810 DATA "by making a contribution to the author"
815 DATA "of the programs ($45.00 suggested)."
820 DATA ".sp"
830 DATA "Melvin O. Duke"
840 DATA "P. O. Box 20836"
850 DATA "San Jose, CA  95160"
860 DATA ".vt 4"
870 DATA "Copyright (c) 1983 through 1987, by:"
880 DATA "Melvin O. Duke."
890 DATA ".sp"
900 DATA "All rights reserved."
910 :REM'
920 REM Top of each page routine
930 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
940 LPRINT
950 LPRINT TAB(30); TRIM.LINE$
960 LPRINT DASHES$ :REM'Dashes
970 FOR I = 1 TO 6
980  LPRINT
990 NEXT I
1000 LINE.NO = LINE.NO + 6
1010 RETURN
1020 :REM'
1030 REM Bottom of each page Routine
1040 IF PAGE.NO < 1 THEN LPRINT : LPRINT : LPRINT : GOTO 1160
1050 LPRINT TAB(TAB.POS); STRING$(40,45)  :REM'on line 46
1060 LPRINT TAB(TAB.POS+3); TITLE$+" ON DISPLAY.  Version 5.0" :REM'on line 47
1070 IF PAGE.NO MOD 2 = 1 THEN 1110
1080 LPRINT TAB(TAB.POS);"Page";PAGE.NO;
1090 LPRINT TAB(TAB.POS+27);"User's Manual"
1100 GOTO 1160
1110 LPRINT TAB(TAB.POS); "User's Manual";
1120 IF PAGE.NO < 10 THEN DELTA = 34
1130 IF PAGE.NO >  9 THEN DELTA = 33
1140 IF PAGE.NO > 99 THEN DELTA = 32
1150 LPRINT TAB(TAB.POS+DELTA); "Page"; PAGE.NO  :REM'on line 48
1160 LPRINT : LPRINT : LPRINT
1170 LPRINT DASHES$ :REM'dashes after 51
1180 LPRINT TAB(30); TRIM.LINE$
1190 LPRINT FORM.FEED$;
1200 PAGE.NO = PAGE.NO + 1
1210 LINE.NO = 1
1220 IF REPLY$ = ".eof" THEN 1240  :REM'Bypass after last page
1230 GOSUB 920  :REM'For top of next page
1240 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
1250 RETURN
1260 :REM'
1270 REM Command Processor
1280 IF LEFT$(REPLY$,3) = ".h1" THEN 1390
1290 IF LEFT$(REPLY$,3) = ".h2" THEN 1550
1300 IF LEFT$(REPLY$,3) = ".h3" THEN 1660
1310 IF LEFT$(REPLY$,3) = ".sp" THEN 1770
1320 IF LEFT$(REPLY$,4) = ".eof" THEN 1820
1330 IF LEFT$(REPLY$,3) = ".pa" THEN 1860
1340 IF LEFT$(REPLY$,3) = ".pn" THEN PAGE.NO = VAL(RIGHT$(REPLY$,LEN(REPLY$)-3)) : RETURN
1350 IF LEFT$(REPLY$,3) = ".vt" THEN 1930
1360 IF LEFT$(REPLY$,3) = ".pk" THEN 2040
1370 IF LEFT$(REPLY$,3) = ".in" THEN 2170
1380 STOP
1390 REM Head 1 Processor
1400 FOR I = LINE.NO TO 44
1410  LPRINT
1420 NEXT I
1430 GOSUB 1030  :REM'Bottom of page Routine
1440 IF PAGE.NO MOD 2 = 0 THEN GOSUB 1860  :REM'For h1 on Odd pages
1450 LPRINT BOLD.ON$;     :REM'Set emphasized print
1460 LPRINT EXPAND.ON$;   :REM'Set expanded print
1470 IF PAGE.NO MOD 2 = 0 THEN ADJUST = -2 :ELSE ADJUST = -5
1480 LPRINT TAB(TAB.POS+ADJUST); RIGHT$(REPLY$,LEN(REPLY$)-4)
1490 LPRINT EXPAND.OFF$;  :REM'Return to normal
1500 LPRINT BOLD.OFF$;    :REM'Return to non-bold
1510 LINE.NO = LINE.NO+1
1520 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
1530 RETURN
1540 :REM'
1550 REM Head 2 Processor
1560 IF LINE.NO = 7 THEN 1580 :REM'skip spacing if at top of page
1570 IF LINE.NO > 43 THEN GOSUB 1860 :ELSE LPRINT:LPRINT:LINE.NO = LINE.NO+2
1580 LPRINT BOLD.ON$;  :REM'Set emphasized print
1590 LPRINT TAB(TAB.POS+1); RIGHT$(REPLY$,LEN(REPLY$)-4)
1600 LPRINT BOLD.OFF$; :REM'Return to normal
1610 LPRINT
1620 LINE.NO = LINE.NO + 2
1630 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
1640 RETURN
1650 :REM'
1660 REM Head 3 Processor
1670 IF LINE.NO = 7 THEN 1690 :REM'skip spacing if at top of page
1680 IF LINE.NO > 43 THEN GOSUB 1860 :ELSE LPRINT:LPRINT:LINE.NO = LINE.NO+2
1690 LPRINT BOLD.ON$;  :REM'Set emphasized print
1700 LPRINT TAB(TAB.POS+1); RIGHT$(REPLY$,LEN(REPLY$)-4)
1710 LPRINT BOLD.OFF$; :REM'Return to normal
1720 LPRINT
1730 LINE.NO = LINE.NO + 2
1740 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
1750 RETURN
1760 :REM'
1770 REM Single Space Processor
1780 IF LINE.NO = 7 THEN 1800
1790 IF LINE.NO > 44 THEN GOSUB 1860 :ELSE LPRINT : LINE.NO = LINE.NO + 1
1800 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
1810 RETURN
1820 REM End of File Processor
1830 GOSUB 1860 :REM'Bottom of Page
1850 GOTO 8740
1860 REM Page Eject Processor
1870 FOR I = LINE.NO TO 44
1880  LPRINT
1890  LINE.NO = LINE.NO + 1
1900 NEXT I
1910 GOSUB 1030  :REM'Bottom of Page Processing
1920 RETURN
1930 REM Vertical Tab Processor
1940 IF LINE.NO = 7 THEN 2030
1950 IF LINE.NO > 44 THEN GOSUB 1030  :REM'End of page
1960 QTY = VAL(RIGHT$(REPLY$,LEN(REPLY$)-3))
1970 FOR I = 1 TO QTY
1980  LPRINT
1990  LINE.NO = LINE.NO + 1
2000  IF LINE.NO > 44 THEN I = QTY
2010 NEXT I
2020 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
2030 RETURN
2040 REM Pack Processor
2050 IF LINE.NO > 44 THEN GOSUB 1030
2060 IF TAB.POS = 8 THEN ADJUST = 4
2070 IF TAB.POS = 13 THEN ADJUST = 7
2080 TAB.POS = TAB.POS + ADJUST + INDENT
2090 WIDTH "lpt1:", 132 :REM'set condensed width
2100 LPRINT COMPR.ON$;  :REM'Packed printing
2110 LPRINT TAB(TAB.POS); RIGHT$(REPLY$,LEN(REPLY$)-3)
2120 LPRINT COMPR.OFF$; :REM'Return to normal
2130 WIDTH "lpt1:", 80  :REM'return to normal
2140 LINE.NO = LINE.NO + 1
2150 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
2160 RETURN
2170 REM Indent Processor
2180 INDENT = VAL(RIGHT$(REPLY$,LEN(REPLY$)-3))
2190 RETURN
3000 REM APPENDIX
3010 DATA ".h1 A.  MESSAGES"
3020 DATA ".pn 59"
3030 DATA ".h2 START-UP MESSAGES"
3040 DATA "The initial System Message, when the"
3050 DATA "system is turned on, is:"
3060 DATA ".sp"
3070 DATA ".pk Current date is Tue 1-01-1980"
3080 DATA ".pk Enter new date:"
3090 DATA ".sp"
3100 DATA "The user is expected to respond with an"
3110 DATA "appropriate date."
3120 DATA ".sp"
3130 DATA "The next system message is:"
3140 DATA ".sp"
3150 DATA ".pk Current time is 0:00:52.17"
3160 DATA ".pk Enter new time:"
3170 DATA ".sp"
3180 DATA "The user is expected to respond with a"
3190 DATA "correct time."
3200 DATA ".sp"
3210 DATA "The System then responds:"
3220 DATA ".sp"
3230 DATA ".pk The IBM Personal Computer DOS"
3240 DATA ".pk Version 2.10 (C) Copyright IBM Corp 1981, 1982, 1983"
3250 DATA ".sp"
3260 DATA "When Starting BASIC, the message"
3270 DATA "in response to"
3280 DATA ".sp"
3290 DATA ".pk basic/s:256"
3300 DATA ".sp"
3310 DATA "is similar to:"
3320 DATA ".sp"
3330 DATA ".pk IBM Personal Computer Basic"
3340 DATA ".pk Version D2.00 Copyright IBM Corp. 1981, 1982, 1983"
3350 DATA ".pk 61118 Bytes Free"
3360 DATA ".h1 B.  Summary"
3370 DATA ".h2 General Programs"
3380 DATA ".pk Function Performed                     Filename"
3390 DATA ".pk -----------------------------------    --------"
3400 DATA ".pk Initial File Formatting"
3410 DATA ".pk   Persons File                         creatper"
3420 DATA ".pk   Marriages File                       creatmar"
3430 DATA ".pk   Ordinances File                      creatord"
3440 DATA ".sp"
3450 DATA ".pk Entry of Data"
3460 DATA ".pk   Persons File                         updatper"
3470 DATA ".pk   Marriages File                       updatmar"
3480 DATA ".pk   Ordinances File                      updatord"
3490 DATA ".sp"
3500 DATA ".pk Print Detailed Information"
3510 DATA ".pk   Detailed Personal Information        printper"
3520 DATA ".pk   Detailed Marriage Information        printmar"
3530 DATA ".sp"
3540 DATA ".pk List the Records in the Files"
3550 DATA ".pk   Persons File                         listper"
3560 DATA ".pk   Marriages File                       listmar"
3570 DATA ".sp"
3580 DATA ".pk List the File Index"
3590 DATA ".pk   Parent/Child Index                   listpci"
3600 DATA ".sp"
3610 DATA ".pk Print Alphabetic Lists"
3620 DATA ".pk   List of Persons                      alphaper"
3630 DATA ".pk   Persons in Marriages                 alphamar"
3640 DATA ".sp"
3650 DATA ".pk Prepare an Index"
3660 DATA ".pk   Parent/Child Index                   indexpc"
3670 DATA ".pk   Marriages Index                      indexmar"
3680 DATA ".pa"
3690 DATA ".h2 General Programs, Cont."
3700 DATA ".pk Function Performed                     Filename"
3710 DATA ".pk -----------------------------------    --------"
3720 DATA ".pk Display the Information                display"
3730 DATA ".pk   Personal Information"
3740 DATA ".pk   Pedigree Information"
3750 DATA ".pk   Family Group Information"
3760 DATA ".pk   Ordinances Information"
3770 DATA ".sp"
3780 DATA ".pk Print the Genealogical Forms"
3790 DATA ".pk   Print Pedigree Charts                pedigree"
3800 DATA ".pk   Print Family Group Sheets            family"
3810 DATA ".sp"
3820 DATA ".pk Produce Descendents Charts             descend"
3830 DATA ".pk   Display on the Screen"
3840 DATA ".pk   Print the Charts"
3850 DATA ".sp"
3860 DATA ".pk Display a Menu"
3870 DATA ".pk   Displays Available Programs          menu"
3880 DATA ".h2 Data Files"
3890 DATA ".pk File Usage                             Filename"
3900 DATA ".pk ------------------------------------   --------"
3910 DATA ".pk Personal Vital Statistics              persfile"
3920 DATA ".pk Marriage Vital Statistics              marrfile"
3930 DATA ".pk Life Events (LDS Ordinances)           ordfile"
3940 DATA ".pk Verify BASIC has 256 byte buffer       verifile"
3950 DATA ".pa"
3960 DATA ".h2 Indexes"
3970 DATA ".pk Function Performed                     Filename"
3980 DATA ".pk ------------------------------------   --------"
3990 DATA ".pk Relates Parents and Children           pcindex"
4000 DATA ".pk Relates Spouses by Marriage            mindex"
4010 DATA ".h2 Documentation"
4020 DATA ".pk Purpose of Documentation               Filename"
4030 DATA ".pk ------------------------------------   --------"
4040 DATA ".pk Display Initial Information            runfirst"
4050 DATA ".sp"
4060 DATA ".pk Change Printers for Documentation      printers"
4070 DATA ".sp"
4080 DATA ".pk Print a Program Directory              director"
4090 DATA ".sp"
4100 DATA ".pk Print a User's Manual"
4110 DATA ".pk   Table of Contents                    tableofc"
4120 DATA ".pk   Introduction                         introduc"
4130 DATA ".pk   General Information                  general"
4140 DATA ".pk   Using the Programs                   usingthe"
4150 DATA ".pk   Reference Material                   referenc"
4160 DATA ".pk   Appendices                           appendix"
4170 DATA ".h2 Overview Information"
4180 DATA ".pk Function Perfomed                      Filename"
4190 DATA ".pk ------------------------------------   --------"
4200 DATA ".pk Overview on the Display Screen         overview"
4210 DATA ".h1 C.  HINTS"
4220 DATA ".h2 NAMES"
4230 DATA "It is best to enter surnames with all"
4240 DATA "capitals, such as:  ABLE"
4250 DATA ".sp"
4260 DATA "(Note: It is common practice to use the"
4270 DATA "Maiden name of a woman, and the surname"
4280 DATA "given at birth for a child.)"
4290 DATA ".h2 DATES"
4300 DATA "All of the programs expect dates in the"
4310 DATA "form dd Mmm yyyy, such as: 19 Jun 1928."
4320 DATA "However, partial dates, or approximate"
4330 DATA "dates, may be entered.  They will be"
4340 DATA "moved as far to the right as possible."
4350 DATA ".h2 Replacing Information"
4360 DATA "When using one of the update-programs,"
4370 DATA "information (with the exception of the"
4380 DATA "record-number) can be replaced by"
4390 DATA "entering the new information.  The new"
4400 DATA "information simply replaces the old."
4410 DATA ".sp"
4420 DATA "In the event that a user wishes to re-"
4430 DATA "place a current value with blanks (the"
4440 DATA "data was not correct), one or more"
4450 DATA "blanks may be entered by enclosing them"
4460 DATA "within quotes."
4470 DATA ".pa"
4480 DATA ".h2 Removing a Record."
4490 DATA "In the rare event that a user wishes"
4500 DATA "to remove a record from the Persons"
4510 DATA "File, the Marriages File, or the Ord-"
4520 DATA "inances File, he may do so by chang-"
4530 DATA "ing the record-number to the same num-"
4540 DATA "ber preceded by a minus-sign.  This"
4550 DATA "will cause the record to be cleared,"
4560 DATA "and it may then be 'saved'."
4570 DATA ".sp"
4580 DATA "(Note:  Remove an Ordinance Record be-"
4590 DATA "fore removing its Corresponding Person"
4600 DATA "Record, because an Ordinance Record"
4610 DATA "cannot be accessed if its Person Record"
4620 DATA "does not exist.)"
4630 DATA ".sp"
4640 DATA "After a record is removed, it may be"
4650 DATA "necessary to change any references to"
4660 DATA "the removed record (in persons and"
4670 DATA "marriage records), and you may have"
4680 DATA "to prepare the indexes again."
4690 DATA ".h1 D.  MODIFICATIONS"
4700 DATA ".h2 Making Changes"
4710 DATA "In all of the following examples, the"
4720 DATA "MENU program has to be loaded and"
4730 DATA "edited.  If you desire the changes to"
4740 DATA "be permanent, you must then save the"
4750 DATA "MENU again.  Unless you save the MENU,"
4760 DATA "the changes will be only temporary"
4770 DATA "(gone the next time that the MENU is"
4780 DATA "loaded)."
4790 DATA ".sp"
4800 DATA "Since the MENU Program is a BASIC"
4810 DATA "program, you will need to use the"
4820 DATA "BASIC Editor (see the BASIC Manual"
4830 DATA "for details) to make the changes."
4840 DATA ".h2 Color Considerations"
4850 DATA "Line 260 in the MENU Program establish-"
4860 DATA "es color, through the use of a SCREEN"
4870 DATA "Statement, which is:"
4880 DATA ".sp"
4890 DATA "  SCREEN S1,S2,S3,S4
4900 DATA ".sp"
4910 DATA "For many display screens, color can be"
4920 DATA "disabled by editing the definition of"
4930 DATA "S2 in Line 220 of the MENU Program."
4940 DATA "It can be changed from S2 = 1, to"
4950 DATA "S2 = 0."
4960 DATA ".pa"
4970 DATA ".h2 Color Definitions"
4980 DATA "Lines 300 through 380 of the MENU pro-"
4990 DATA "gram establishe color for a number of"
5000 DATA "variables, which are then used by all"
5010 DATA "of the programs."
5020 DATA ".sp"
5030 DATA "Color can be disabled, or it can be"
5040 DATA "changed, by changing the numbers for"
5050 DATA "the variables.  For example, color"
5060 DATA "can be disabled by changing each of"
5070 DATA "the numbers which is not a zero (0)"
5080 DATA "to a seven (7)."
5090 DATA ".h2 Changing the Number of Persons"
5100 DATA "The programs, as distributed, provide"
5110 DATA "for 500 persons, and 500 ordinances."
5120 DATA ".sp"
5130 DATA "In order to change the number of"
5140 DATA "persons and ordinances, it is then"
5150 DATA "necessary to change the 500 to some"
5160 DATA "other, more desirable, number."
5170 DATA ".sp"
5180 DATA "This can be done in the following way:"
5190 DATA ".sp"
5200 DATA "In the MENU program:"
5210 DATA ".sp"
5220 DATA "Line-number:   610"
5230 DATA "Old-value:     MAX.PER = 500"
5240 DATA "New-value:     you decide."
5250 DATA ".pa"
5260 DATA ".h2 Extending Existing Files"
5270 DATA "Before extending any existing file,"
5280 DATA "it is always wise to make a back-up"
5290 DATA "copy of that file, in case you make"
5300 DATA "any mistakes."
5310 DATA ".sp"
5320 DATA "A current file can be extended by"
5330 DATA "changing the old maximum and setting"
5340 DATA "a new upper limit.  Once set, the"
5350 DATA "CREATPER and CREATORD programs must"
5360 DATA "then be ~run~."
5370 DATA ".sp"
5380 DATA "For example, expanding from 500 to 600"
5390 DATA "persons would require a change in the"
5400 DATA "the MENU program in line 610 and line"
5410 DATA "630."
5420 DATA ".sp"
5430 DATA "Line-number:   610"
5440 DATA "Old-value:     MAX.PER = 500"
5450 DATA "New-value:     MAX.PER = 600"
5460 DATA ".sp"
5470 DATA "Line-number:   630"
5480 DATA "Old-value:     OLD.MAX.PER = 0"
5490 DATA "New-value:     OLD.MAX.PER = 500"
5500 DATA ".pa"
5510 DATA ".h2 Printing A Partial Alphabetic List"
5520 DATA "The beginning and ending letters, to"
5530 DATA "be used when printing an alphabetic"
5540 DATA "list of persons, are set in lines 720"
5550 DATA "and 730 of the MENU.  These may be"
5560 DATA "changed, in order to print a partial"
5570 DATA "list (e.g. F through M)."
5580 DATA ".h2 Changing the Number of Marriages"
5590 DATA "The programs, as designed, provide"
5600 DATA "for 200 marriages."
5610 DATA ".sp"
5620 DATA "In order to change the number of"
5630 DATA "marriages, it is then necessary to"
5640 DATA "change the 200 to some other, more"
5650 DATA "desirable, number."
5660 DATA ".sp"
5670 DATA "In the MENU program:"
5680 DATA ".sp"
5690 DATA "Line-number:   620"
5700 DATA "Old-value:     MAX.MAR = 200"
5710 DATA "New-value:     you decide."
5720 DATA ".pa"
5730 DATA ".h2 Extending an Existing File"
5740 DATA "Before extending any existing file,"
5750 DATA "it is always wise to make a back-up"
5760 DATA "copy of that file, in case you make"
5770 DATA "any mistakes."
5780 DATA ".sp"
5790 DATA "A current file of marriages can be ex-"
5800 DATA "tended by changing the old maximum and"
5810 DATA "establishing a new upper limit.  Then"
5820 DATA "the CREATMAR Program must be ~run~."
5830 DATA ".sp"
5840 DATA "For example, expanding from 200 to 300"
5850 DATA "marriages would require a change in"
5860 DATA "the MENU program in line 620 and line"
5870 DATA "640."
5880 DATA ".sp"
5890 DATA "Line-number:   620"
5900 DATA "Old-value:     MAX.MAR = 200"
5910 DATA "New-value:     MAX.MAR = 300"
5920 DATA ".sp"
5930 DATA "Line-number:   640"
5940 DATA "Old-value:     OLD.MAX.MAR = 0"
5950 DATA "New-value:     OLD.MAX.MAR = 200"
5960 DATA ".pa"
5970 DATA ".h2 Printing Partial Files"
5980 DATA "As your files grow in size, you may want"
5990 DATA "printouts of just the new information,"
6000 DATA "rather than of entire files."
6010 DATA ".h2 Partial Printout of Persons"
6020 DATA "Line 680 in the MENU Program defines"
6030 DATA "the beginning Person Number for use by"
6040 DATA "the PRINTPER and LISTPER Programs.  It"
6050 DATA "is 1.  If you change this number to a"
6060 DATA "higher number (such as 201), the print-"
6070 DATA "outs will begin at the higher number,"
6080 DATA "rather than at 1."
6090 DATA ".h2 Partial Printout of Marriages"
6100 DATA "Line 690 in the MENU Program defines"
6110 DATA "the beginning Marriage Number for use by"
6120 DATA "the PRINTMAR and LISTMAR Programs.  It"
6130 DATA "is 1.  If you change this number to a"
6140 DATA "higher number (such as 101), the print-"
6150 DATA "outs will begin at the higher number,"
6160 DATA "rather than at 1."
6170 DATA ".pa"
6180 DATA ".h2 Repositioning the Files"
6190 DATA "As released, all files are located on"
6200 DATA "drive a:.  In order to change this to"
6210 DATA "another drive, the letter which iden-"
6220 DATA "tifies the drive must be changed."
6230 DATA ".sp"
6240 DATA "In the MENU program, these drive-"
6250 DATA "letters are located in line numbers"
6260 DATA "410-480.  They are:"
6270 DATA ".sp"
6280 DATA "Name         Ltr.    Reference"
6290 DATA "------------------   -------------------"
6300 DATA "DD.PROG$   = ~a:\~   The Programs"
6310 DATA "DD.VERI$   = ~a:\~   Verify s/256: file"
6320 DATA "DD.MENU$   = ~a:\~   Menu"
6330 DATA "DD.PERS$   = ~a:\~   Persons File"
6340 DATA "DD.MARR$   = ~a:\~   Marriages File"
6350 DATA "DD.ORD$    = ~a:\~   Ordinances File"
6360 DATA "DD.PCIDX$  = ~a:\~   Parent/Child Index"
6370 DATA "DD.MARIDX$ = ~a:\~   Marriages Index"
6380 DATA ".sp"
6390 DATA "The disk-drive letter for any of the"
6400 DATA "above programs and files may be changed"
6410 DATA "by changing each a: to the desired"
6420 DATA "letter."
6430 DATA ".sp"
6440 DATA "If you are using sub-directories, then"
6450 DATA "change the letters to the paths.  For"
6460 DATA "example:"
6470 DATA ".sp"
6480 DATA "DD.PROG$ = ~c:\GENONDIS\~"
6490 DATA ".pa"
6500 DATA ".h2 Removing Person and Marriage Numbers"
6510 DATA "As distributed, numbers for both the"
6520 DATA "Person and Marriage are shown.  These"
6530 DATA "numbers may be removed by changing line"
6540 DATA "670 in the MENU.BAS program,"
6550 DATA ".sp"
6560 DATA "  from:  670 CHART.NOS$ = ~n~"
6570 DATA "  to:    670 CHART.NOS$ = ~y~"
6580 DATA ".sp"
6590 DATA "One other effect is that after this"
6600 DATA "change, Ancestral Numbers (e.g. 1,2,4,"
6610 DATA "8,16) will be shown in Pedigree Charts"
6620 DATA "instead of Person Numbers."
6630 DATA ".h2 Changing the Descendents Chart"
6640 DATA "As distributed, the Descendents Chart"
6650 DATA "prints 30 generations.  It also prints"
6660 DATA "in pages.  Both of these may be changed"
6670 DATA "by the user."
6680 DATA ".h2 Making the Descendents Chart Continuous"
6690 DATA "Line 660 of the MENU program contains"
6700 DATA "a definition of the number of lines on"
6710 DATA "a page, which is 58.  By changing this"
6720 DATA "to a very large number (e.g. 9999),"
6730 DATA "continuous charts may be produced."
6740 DATA ".pa"
6750 DATA ".h2 Changing the Generations Shown"
6760 DATA "Line number 650 of the MENU program"
6770 DATA "contains a definition of the maximum"
6780 DATA "number of generations to be shown,"
6790 DATA "which is 30.  This number may be re-"
6800 DATA "duced to as few as 1.  Making the num-"
6810 DATA "ber more than 30 may cause interfer-"
6820 DATA "ence between names and dates.  Making"
6830 DATA "the number greater than 50 may exceed"
6840 DATA "the printer width definition."
6850 DATA ".h2 Family Group Binding Space"
6860 DATA "When Family Group Sheets are printed"
6870 DATA "without the LDS Ordinances, the part of"
6880 DATA "the sheets which contain those LDS"
6890 DATA "Ordinances is removed, and the form is"
6900 DATA "shifted to the right to provide for"
6910 DATA "space for binding (3-hole punching)."
6920 DATA ".sp"
6930 DATA "Line 710 in the MENU program contains"
6940 DATA "the definition of the number of char-"
6950 DATA "acters removed on each side of the"
6960 DATA "chart (18).  This number may be redu-"
6970 DATA "ced.  Less binding space will result,"
6980 DATA "but more information will be shown."
6990 DATA ".pa"
7000 DATA ".h2 Removing the Ordinances File"
7010 DATA "As designed, an Ordinances File is part"
7020 DATA "of Genealogy ON DISPLAY."
7030 DATA ".sp"
7040 DATA "In the event that the user does not wish"
7050 DATA "to have an Ordinances File, line 460 in"
7060 DATA "the MENU program must be changed."
7070 DATA ".sp"
7080 DATA "Line 460 contains a definition of where"
7090 DATA "the Ordinances file is located.  It is:"
7100 DATA ".sp"
7110 DATA "   DD.ORD$ = ~a:\~"
7120 DATA ".sp"
7130 DATA "By changing this to:"
7140 DATA ".sp"
7150 DATA "   DD.ORD$ = ~no~"
7160 DATA ".sp"
7170 DATA "in the MENU program, the ability to for-"
7180 DATA "mat and update an Ordinances File is re-"
7190 DATA "moved from the menu.  In addition, no"
7200 DATA "information about ordinances will be"
7210 DATA "displayed or printed."
7220 DATA ".sp"
7230 DATA "When no Ordinances File is used, then"
7240 DATA "both the Family Group Sheet and the"
7250 DATA "Pedigree Chart are reduced in size, with"
7260 DATA "additional space for binding provided on"
7270 DATA "the left.  The number of generations on"
7280 DATA "the Pedigree Chart is reduced by one."
7290 DATA ".pa"
7300 DATA ".h2 Changing Sex Designations"
7310 DATA "Lines 740 and 750 in the MENU Program"
7320 DATA "contain one-letter abbreviations, and"
7330 DATA "full-word designations for male and"
7340 DATA "female sex.  These designations may be"
7350 DATA "changed for other uses, such as for"
7360 DATA "animal and bird genealogies.  (Note:"
7370 DATA "The same abbreviation cannot be used"
7380 DATA "for both the male and female sex.)"
7390 DATA ".h2 Utilizing other Printers"
7400 DATA "As designed, an IBM Matrix Printer,"
7410 DATA "an EPSON MX-100 Printer, or some"
7420 DATA "equivalent printer is assumed."
7430 DATA ".sp"
7440 DATA "Control for Compressed Printing, for"
7450 DATA "Page Length, for Paper Sensing, and"
7460 DATA "for Form Feeding is provided in the"
7470 DATA "Pedigree program, in the Family pro-"
7480 DATA "gram, and in the Descend program."
7490 DATA ".sp"
7500 DATA "Form Feeding is also provided in the"
7510 DATA "printper, printmar, listper, listmar,"
7520 DATA "listpci, alphaper, alphamar, and dis-"
7530 DATA "play programs."
7540 DATA ".sp"
7550 DATA "Emphasized (bold) printing is used in"
7560 DATA "the printper program."
7570 DATA ".sp"
7580 DATA "In order to provide the same facility"
7590 DATA "for another printer, these controls"
7600 DATA "may need to be changed.  They are"
7610 DATA "found in lines 510-590 of the MENU"
7620 DATA "program."
7630 DATA ".pa"
7640 DATA "The variable names, and their purposes,"
7650 DATA "are as follows:"
7660 DATA ".sp"
7670 DATA "Name:           Purpose"
7680 DATA "-------------   -----------------------"
7690 DATA "FORM.FEED$      To Top of the Next Page"
7700 DATA "PAP.SEN.ON$     Paper Sensing ON"
7710 DATA "PAP.SEN.OFF$    Paper Sensing OFF"
7720 DATA "PAP.LONG$       Long (11 inch) Paper"
7730 DATA "PAP.SHORT$      Short (8-1/2 in.) Paper"
7740 DATA "COMPR.ON$       Compressed Print ON"
7750 DATA "COMPR.OFF$      Compressed Print OFF"
7760 DATA "BOLD.ON$        Emphasized Print ON"
7770 DATA "BOLD.OFF$       Emphasized Print OFF"
7780 DATA ".sp"
7790 DATA "For each of the above, change the"
7800 DATA "definition to that of your printer."
7810 DATA ".h2 Paper Considerations"
7820 DATA "The definition of the paper being used"
7830 DATA "is continuous, 8-1/2 x 11 inch paper."
7840 DATA "This is the normal printer paper for"
7850 DATA "most printers in use.  However, when-"
7860 DATA "ever a printer has the capabilities of"
7870 DATA "using wider paper (and single sheets)"
7880 DATA "changes can be made to the MENU, to"
7890 DATA "use these features in the PEDIGREE,"
7900 DATA "FAMILY, and DESCEND Programs."
7910 DATA ".sp"
7920 DATA "Lines 760 through 780 of the MENU pro-"
7930 DATA "gram contain coded definitions for"
7940 DATA "different paper characteristics."
7950 DATA ".pa"
7960 DATA ".h2 Use of Wide Paper"
7970 DATA "Line 760 defines paper with a width"
7980 DATA "of 8-1/2 inches.  By changing the 1"
7990 DATA "to a 2, the paper will then be de-"
8000 DATA "fined with a 14 inch width."
8010 DATA ".h2 Use of Short Paper"
8020 DATA "Line 770 defines paper with a length"
8030 DATA "of 11 inches.  By changing the 2 to"
8040 DATA "a 1, the paper will then be defined"
8050 DATA "with an 8-1/2 inch length."
8060 DATA ".h2 Use of Single Sheets"
8070 DATA "Line 780 defines continuous paper."
8080 DATA "By changing the 1 to a 2, the paper"
8090 DATA "will then be defined as existing in"
8100 DATA "single sheets (such as pre-printed"
8110 DATA "forms)."
8120 DATA ".pa"
8130 DATA ".h2 Defining Function Keys"
8140 DATA "Lines 810-900 of the MENU Program con-"
8150 DATA "tain definitions of the content of the"
8160 DATA "ten function keys, and are empty.  These"
8170 DATA "definitions may be changed to contain"
8180 DATA "the names and places which are used the"
8190 DATA "most (e.g. TAYLOR, Mary, Ohio)."
8200 DATA ".h1 E. TERMS & CONDITIONS"
8210 DATA ".h2 Terms"
8220 DATA "If you are using these programs, you are"
8230 DATA "expected to become a Registered User,"
8240 DATA "by making a contribution to the author"
8250 DATA "of the programs ($45.00 suggested)."
8260 DATA ".vt 3"
8270 DATA "     Melvin O. Duke"
8280 DATA "     P. O. Box 20836"
8290 DATA "     San Jose, CA  95160"
8300 DATA "     (408) 268-6637"
8310 DATA ".vt 2"
8320 DATA "Anyone may request a copy of these pro-"
8330 DATA "grams, for trial, by sending a blank,"
8340 DATA "double-sided, double-density, 5-1/4 inch"
8350 DATA "diskette to the author of the programs,"
8360 DATA "together with $10.00 (for copying).  A"
8370 DATA "self-addressed, postage-paid return"
8380 DATA "diskette-mailer must accompany the"
8390 DATA "diskette (no exceptions, please)."
8400 DATA ".sp"
8410 DATA "A copy of the programs with documenta-"
8420 DATA "tion will be sent by return mail."
8430 DATA ".pa"
8440 DATA ".h2 Conditions"
8450 DATA "A limited license is granted to all users"
8460 DATA "of these programs, to make copies of"
8470 DATA "them, and distribute them to other users,"
8480 DATA "on the following conditions:"
8490 DATA ".sp"
8500 DATA "1.  The Genealogy ON DISPLAY programs"
8510 DATA "    are not to be distributed to others"
8520 DATA "    in a modified form."
8530 DATA ".sp"
8540 DATA "2.  No fee is to be charged for the Gene-"
8550 DATA "    alogy ON DISPLAY programs themselves."
8560 DATA "    However, a nominal copying charge (not"
8570 DATA "    to exceed $10.) may be charged to de-"
8580 DATA "    fray copying expenses."
8590 DATA ".sp"
8600 DATA "3.  The notices displayed at program"
8610 DATA "    start-up are not to be bypassed,"
8620 DATA "    altered, or removed."
8630 DATA ".h2 Disclaimer"
8640 DATA "In no event will the Author be liable to"
8650 DATA "you for any damages, including any lost"
8660 DATA "profits, lost savings or other inciden-"
8670 DATA "tal or consequential damages arising out"
8680 DATA "of the use of or inability to use these"
8690 DATA "programs, even if the Author has been"
8700 DATA "advised of the possibility of such"
8710 DATA "damages, or for any claim by any other"
8720 DATA "party."
8730 DATA ".eof"
8740 END
