100 REM DIRECTOR Program.
110 REM Program Directory for the Genealogy ON DISPLAY Programs
120 REM Copyright (c) 1983 - 1987 by: Melvin O. Duke.
' Ported to the Amiga in March 1988 by Nathan Barber
' Adaptions for Amiga graphics (c) 1988 by Nathan Barber
130 DATA Genealogy
140 DATA Program Directory
150 DATA -1
160 DATA 1
170 INDENT = 0
180 REM Printer Definitions
190 FORM.FEED$  = CHR$(12)
200 COMPR.OFF$  = CHR$(18)     : COMPR.ON$ = CHR$(15)
210 BOLD.OFF$   = CHR$(27)+"F" : BOLD.ON$ = CHR$(27)+"E"
220 EXPAND.OFF$ = CHR$(18)     : EXPAND.ON$ = CHR$(14)
300 REM Program begins here
310 READ TITLE$, DOC.NAME$, PAGE.NO, LINE.NO
320 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
330 GOSUB 920  :REM'For trim line and heading space
340 FOR I = 1 TO 6 : LPRINT : NEXT I
350 LPRINT BOLD.ON$;    :REM'Set Emphasized Print
360 LPRINT EXPAND.ON$;  :REM'Set Expanded Print
370 LPRINT TAB(TAB.POS-1);TITLE$
380 LPRINT EXPAND.OFF$;  :REM'Return to normal
390 LPRINT BOLD.OFF$;    :REM'Return to normal
400 FOR I = 1 TO 3 : LPRINT : NEXT I
410 LPRINT BOLD.ON$; :REM'Set Emphasized mode
420 LPRINT TAB(TAB.POS+12);"ON DISPLAY"
430 LPRINT BOLD.OFF$; :REM'Return to normal
440 LPRINT : LPRINT : LPRINT
450 LPRINT TAB(TAB.POS+11);"Version 5.0"
460 FOR I = 1 TO 11 : LPRINT : NEXT I
470 LPRINT TAB(TAB.POS+8); DOC.NAME$
480 LINE.NO = LINE.NO + 27
490 :REM'
500 READ REPLY$
510 REM First, change tildes to quotes
520 FOR Q = 1 TO LEN(REPLY$)
530  IF MID$(REPLY$,Q,1)="~"THEN MID$(REPLY$,Q,1)=CHR$(34)
540 NEXT Q
550 IF LEFT$(REPLY$,1) = "." THEN GOSUB 1270: GOTO 500
560 IF LINE.NO > 44 THEN GOSUB 1030
570 REM Print the line if not a command
580 LPRINT TAB(TAB.POS);REPLY$
590 LINE.NO = LINE.NO + 1
600 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
610 GOTO 500
620 REM Data for the Copyright Page
630 DATA ".pa"
640 DATA " "
750 DATA ".vt 12"
760 DATA "Users are encouraged to copy and share"
770 DATA "the programs with others."
780 DATA ".vt 5"
790 DATA "If you are using these programs, you are"
800 DATA "expected to become a Registered User,"
810 DATA "by making a contribution to the author"
815 DATA "of the programs ($45.00 suggested)."
820 DATA ".sp"
830 DATA "Melvin O. Duke"
840 DATA "P. O. Box 20836"
850 DATA "San Jose, CA  95160"
860 DATA ".vt 3"
870 DATA "Copyright (c) 1983 through 1987, by:"
880 DATA "Melvin O. Duke."
890 DATA ".sp"
900 DATA "All rights reserved."
910 :REM'
920 REM Top of each page routine
930 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
940 LPRINT
950 LPRINT TAB(30); "(Trim-line)"
960 LPRINT "+"+STRING$(54,45)+"+" :REM'Dashes
970 FOR I = 1 TO 6
980  LPRINT
990 NEXT I
1000 LINE.NO = LINE.NO + 6
1010 RETURN
1020 :REM'
1030 REM Bottom of each page Routine
1040 IF PAGE.NO < 1 THEN LPRINT : LPRINT : LPRINT : GOTO 1160
1050 LPRINT TAB(TAB.POS); STRING$(40,45)  :REM'on line 46
1060 LPRINT TAB(TAB.POS+3); TITLE$+" ON DISPLAY.  Version 5.0" :REM'on line 47
1070 IF PAGE.NO MOD 2 = 1 THEN 1110
1080 LPRINT TAB(TAB.POS);"Page";PAGE.NO;
1090 LPRINT TAB(TAB.POS+23);"Program Directory"
1100 GOTO 1160
1110 LPRINT TAB(TAB.POS); "Program Directory";
1120 IF PAGE.NO < 10 THEN DELTA = 34
1130 IF PAGE.NO >  9 THEN DELTA = 33
1140 IF PAGE.NO > 99 THEN DELTA = 32
1150 LPRINT TAB(TAB.POS+DELTA); "Page"; PAGE.NO  :REM'on line 48
1160 LPRINT : LPRINT : LPRINT
1170 LPRINT "+"+STRING$(54,45)+"+" :REM'dashes after 51
1180 LPRINT TAB(30); "(Trim-line)"
1190 LPRINT FORM.FEED$;
1200 PAGE.NO = PAGE.NO + 1
1210 LINE.NO = 1
1220 IF REPLY$ = ".eof" THEN 1240  :REM'Bypass after last page
1230 GOSUB 920  :REM'For top of next page
1240 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
1250 RETURN
1260 :REM'
1270 REM Command Processor
1280 IF LEFT$(REPLY$,3) = ".h1" THEN 1380
1290 IF LEFT$(REPLY$,3) = ".h2" THEN 1540
1300 IF LEFT$(REPLY$,3) = ".h3" THEN 1650
1310 IF LEFT$(REPLY$,3) = ".sp" THEN 1760
1320 IF LEFT$(REPLY$,4) = ".eof" THEN 1810
1330 IF LEFT$(REPLY$,3) = ".pa" THEN 1850
1340 IF LEFT$(REPLY$,3) = ".vt" THEN 1920
1350 IF LEFT$(REPLY$,3) = ".pk" THEN 2020
1360 IF LEFT$(REPLY$,3) = ".in" THEN 2150
1370 STOP
1380 REM Head 1 Processor
1390 FOR I = LINE.NO TO 44
1400  LPRINT
1410 NEXT I
1420 GOSUB 1030  :REM'Bottom of page Routine
1430 IF PAGE.NO MOD 2 = 0 THEN GOSUB 1850  :REM'For h1 on Odd pages
1440 LPRINT BOLD.ON$;     :REM'Set Emphasized Printing
1450 LPRINT EXPAND.ON$;   :REM'Set expanded print
1460 IF PAGE.NO MOD 2 = 0 THEN ADJUST = -2 :ELSE ADJUST = -5
1470 LPRINT TAB(TAB.POS+ADJUST); RIGHT$(REPLY$,LEN(REPLY$)-4)
1480 LPRINT EXPAND.OFF$;  :REM'Return to normal
1490 LPRINT BOLD.OFF$;    :REM'Return to non-bold
1500 LINE.NO = LINE.NO+1
1510 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
1520 RETURN
1530 :REM'
1540 REM Head 2 Processor
1550 IF LINE.NO = 7 THEN 1570 :REM'skip spacing if at top of page
1560 IF LINE.NO > 43 THEN GOSUB 1850 :ELSE LPRINT:LPRINT:LINE.NO = LINE.NO+2
1570 LPRINT BOLD.ON$;    :REM'Set emphasized print
1580 LPRINT TAB(TAB.POS+1); RIGHT$(REPLY$,LEN(REPLY$)-4)
1590 LPRINT BOLD.OFF$;   :REM'Return to normal
1600 LPRINT
1610 LINE.NO = LINE.NO + 2
1620 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
1630 RETURN
1640 :REM'
1650 REM Head 3 Processor
1660 IF LINE.NO = 7 THEN 1680 :REM'skip spacing if at top of page
1670 IF LINE.NO > 43 THEN GOSUB 1850 :ELSE LPRINT:LPRINT:LINE.NO = LINE.NO+2
1680 LPRINT BOLD.ON$;    :REM'Set emphasized print
1690 LPRINT TAB(TAB.POS+1); RIGHT$(REPLY$,LEN(REPLY$)-4)
1700 LPRINT BOLD.OFF$;   :REM'Return to normal
1710 LPRINT
1720 LINE.NO = LINE.NO + 2
1730 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
1740 RETURN
1750 :REM'
1760 REM Single Space Processor
1770 IF LINE.NO = 7 THEN 1790
1780 IF LINE.NO > 44 THEN GOSUB 1850 :ELSE LPRINT : LINE.NO = LINE.NO + 1
1790 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
1800 RETURN
1810 REM End of File Processor
1820 GOSUB 1850 :REM'Bottom of Page
1840 GOTO 6300
1850 REM Page Eject Processor
1860 FOR I = LINE.NO TO 44
1870  LPRINT
1880  LINE.NO = LINE.NO + 1
1890 NEXT I
1900 GOSUB 1030  :REM'Bottom of Page Processing
1910 RETURN
1920 REM Vertical Tab Processor
1930 IF LINE.NO = 7 THEN 2010
1940 QTY = VAL(RIGHT$(REPLY$,LEN(REPLY$)-3))
1950 FOR I = 1 TO QTY
1960  LPRINT
1970  LINE.NO = LINE.NO + 1
1980  IF LINE.NO > 44 THEN I = QTY
1990 NEXT I
2000 IF LINE.NO > 44 THEN GOSUB 1030  :REM'End of page
2010 RETURN
2020 REM Pack Processor
2030 IF LINE.NO > 44 THEN GOSUB 1030
2040 IF TAB.POS = 8 THEN ADJUST = 4
2050 IF TAB.POS = 13 THEN ADJUST = 7
2060 TAB.POS = TAB.POS + ADJUST + INDENT
2070 WIDTH "lpt1:", 132  :REM'set condensed width
2080 LPRINT COMPR.ON$;   :REM'Packed printing
2090 LPRINT TAB(TAB.POS); RIGHT$(REPLY$,LEN(REPLY$)-3)
2100 LPRINT COMPR.OFF$;  :REM'Return to normal
2110 WIDTH "lpt1:", 80   :REM'return to normal
2120 LINE.NO = LINE.NO + 1
2130 IF PAGE.NO MOD 2 = 0 THEN TAB.POS = 8 :ELSE TAB.POS = 13
2140 RETURN
2150 REM Indent Processor
2160 INDENT = VAL(RIGHT$(REPLY$,LEN(REPLY$)-3))
2170 RETURN
3000 REM DIRECTOR
3010 DATA ".h1 INTRODUCTION"
3020 DATA ".h2 OVERVIEW"
3030 DATA "This Program Directory contains the"
3040 DATA "information about the contents of the"
3050 DATA "Distribution Diskette for the Genealogy"
3060 DATA "ON DISPLAY programs and documentation."
3070 DATA ".h2 CONTENT"
3080 DATA "The Distribution Diskette contains the"
3090 DATA "following Documentation Programs:"
3100 DATA ".sp"
3110 DATA "  Program    Program      Program"
3120 DATA "  Name       Language        Size"
3130 DATA "  --------   --------   ---------"
3140 DATA "  runfirst   basic          1,291"
3150 DATA "  printers   basic          1,352"
3160 DATA "  director   basic         16,505"
3170 DATA "  tableofc   basic         12,564"
3180 DATA "  introduc   basic         12,908"
3190 DATA "  general    basic         19,178"
3200 DATA "  usingthe   basic         27,661"
3210 DATA "  referenc   basic         18,324"
3220 DATA "  appendix   basic         27,275"
3230 DATA ".vt 2"
3240 DATA "The Distribution Diskette contains the"
3250 DATA "following Overview program:"
3260 DATA ".sp"
3270 DATA "  Program    Program      Program"
3280 DATA "  Name       Language        Size"
3290 DATA "  --------   --------   ---------"
3300 DATA "  overview   basic         13,753"
3310 DATA ".pa"
3320 DATA "The Distribution Diskette contains the"
3330 DATA "following Genealogy programs:"
3340 DATA ".sp"
3350 DATA "  Program    Program      Program"
3360 DATA "  Name       Language        Size"
3370 DATA "  --------   --------   ---------"
3380 DATA "  menu       basic          9,918"
3390 DATA "  creatper   basic          3,807"
3400 DATA "  creatmar   basic          3,276"
3410 DATA "  creatord   basic          4,070"
3420 DATA "  updatper   basic         14,959"
3430 DATA "  updatmar   basic         11,814"
3440 DATA "  updatord   basic         16,812"
3450 DATA "  indexpc    basic          4,688"
3460 DATA "  indexmar   basic          4,582"
3470 DATA "  printper   basic          7,423"
3480 DATA "  printmar   basic          4,625"
3490 DATA "  listper    basic          3,234"
3500 DATA "  listmar    basic          3,871"
3510 DATA "  listpci    basic          3,428"
3520 DATA "  alphaper   basic          5,389"
3530 DATA "  alphamar   basic          4,921"
3540 DATA "  display    basic         24,519"
3550 DATA "  pedigree   basic         24,489"
3560 DATA "  family     basic         22,885"
3570 DATA "  descend    basic         13,558"
3580 DATA ".vt 3"
3590 DATA "The Distribution Diskette contains the"
3600 DATA "following Data File:"
3610 DATA ".sp"
3620 DATA "  Data File             Data File"
3630 DATA "  Name                       Size"
3640 DATA "  --------              ---------"
3650 DATA "  verifile                    256"
3660 DATA ".pa"
3670 DATA ".h2 REQUIREMENTS"
3680 DATA ".h3 Hardware Requirements"
3690 DATA "IBM PCjr, PC, PC/XT or PC/AT with:"
3700 DATA ".sp"
3710 DATA "   One double-sided Diskette Drive."
3720 DATA ".sp"
3730 DATA "   Either the IBM Graphics Printer, the"
3740 DATA "   IBM Matrix Printer (or equivalents)."
3750 DATA ".sp"
3760 DATA "     Note:  The IBM Graphics Printer"
3770 DATA "     and the IBM Matrix Printer"
3780 DATA "     provide for condensed printing"
3790 DATA "     of Pedigree Charts and Family"
3800 DATA "     Group Sheets."
3810 DATA ".sp"
3820 DATA "     For full-sized printouts of the"
3830 DATA "     Pedigree Charts and Family"
3840 DATA "     Group Sheets, a 132 character"
3850 DATA "     (10 char/in) printer is required."
3860 DATA ".sp"
3870 DATA "   At least 96 K of Memory (128 K is"
3880 DATA "   recommended)."
3890 DATA ".sp"
3900 DATA "   Either the IBM Color Display,"
3910 DATA "   the IBM Monochrome Display (or"
3920 DATA "   equivalents)."
3930 DATA ".pa"
3940 DATA ".h2 Software Requirements."
3950 DATA "IBM PC-DOS.
3960 DATA "  Version 2.1 or later."
3970 DATA ".sp"
3980 DATA "BASIC"
3990 DATA "  (on Cartridge or Diskette)."
4000 DATA ".h1 GENERAL INFORMATION"
4010 DATA ".h2 DOCUMENTATION PROGRAMS"
4020 DATA "Nine documentation programs are included"
4030 DATA "on the Distribution Diskette.  These are"
4040 DATA "BASIC programs, which can be 'run'."
4050 DATA ".sp"
4060 DATA "The documentation programs contain their"
4070 DATA "own formatting capability, as well as"
4080 DATA "the content of the documents which they"
4090 DATA "will produce."
4100 DATA ".sp"
4110 DATA "By 'running' each of the documentation"
4120 DATA "programs, the user is able to obtain one"
4130 DATA "or more copies of each chapter of the"
4140 DATA "documentation as he desires."
4150 DATA ".vt 2"
4160 DATA "These documentation programs are:"
4170 DATA ".sp
4180 DATA "  1.  runfirst  (causes a display of the"
4190 DATA "      cover letter, showing how to get"
4200 DATA "      started.)"
4210 DATA ".sp"
4220 DATA "  2.  printers  (shows the changes to"
4230 DATA "      the documentation programs for"
4240 DATA "      printing on other printers.)"
4250 DATA ".pa"
4260 DATA "  3.  director  (documentation of the"
4270 DATA "      content of the Distribution"
4280 DATA "      Diskette)."
4290 DATA ".sp"
4300 DATA "      Produces this document."
4310 DATA ".vt 2"
4320 DATA "  4 through 9.  Documentation for the"
4330 DATA "      Genealogy ON DISPLAY Programs."
4340 DATA ".sp"
4350 DATA "      Produces an 80 Page User's Manual"
4360 DATA "      for use with the Genealogy ON"
4370 DATA "      DISPLAY, Version 5.0 programs."
4380 DATA ".sp"
4390 DATA "  4.  tableofc  (table of contents for"
4400 DATA "      the User's Manual)."
4410 DATA ".sp"
4420 DATA "  5.  introduc  (introduction for the"
4430 DATA "      User's Manual)."
4440 DATA ".sp"
4450 DATA "  6.  general  (general information for"
4460 DATA "      the User's Manual)."
4470 DATA ".sp"
4480 DATA "  7.  usingthe  (using the programs, for"
4490 DATA "      the User's Manual)."
4500 DATA ".sp"
4510 DATA "  8.  referenc  (reference material for"
4520 DATA "      the User's Manual)."
4530 DATA ".sp"
4540 DATA "  9.  appendix  (appendixes for the"
4550 DATA "      User's Manual)."
4560 DATA ".pa"
4570 DATA ".h2 GENEALOGY PROGRAMS"
4580 DATA "Twenty Genealogy programs are"
4590 DATA "included on the Distribution"
4600 DATA "Diskette.  They are:"
4610 DATA ".sp"
4620 DATA "  1.  creatper"
4630 DATA "      Formats a Persons File."
4640 DATA ".vt 2"
4650 DATA "  2.  creatmar"
4660 DATA "      Formats a Marriages File."
4670 DATA ".vt 2"
4680 DATA "  3.  creatord"
4690 DATA "      Formats an Ordinances File."
4700 DATA ".vt 2"
4710 DATA "  4.  updatper"
4720 DATA "      Updates the Persons File."
4730 DATA ".vt 2"
4740 DATA "  5.  updatmar"
4750 DATA "      Updates the Marriages File."
4760 DATA ".vt 2"
4770 DATA "  6.  updatord"
4780 DATA "      Updates an Ordinances File."
4790 DATA ".vt 2"
4800 DATA "  7.  indexpc"
4810 DATA "      Prepares a Parent/Child Index."
4820 DATA ".pa"
4830 DATA "  8.  indexmar"
4840 DATA "      Prepares a Marriages Index."
4850 DATA ".vt 2"
4860 DATA "  9.  printper"
4870 DATA "      Prints the combined contents of the"
4880 DATA "      Persons and Ordinances Files."
4890 DATA ".vt 2"
4900 DATA " 10.  printmar"
4910 DATA "      Prints the contents of the Marriages"
4920 DATA "      File."
4930 DATA ".vt 2"
4940 DATA " 11.  listper"
4950 DATA "      Prints a List of the Persons in the"
4960 DATA "      Persons File."
4970 DATA ".vt 2"
4980 DATA " 12.  listmar"
4990 DATA "      Prints a List of the Marriages in"
5000 DATA "      the Marriages File."
5010 DATA ".vt 2"
5020 DATA " 13.  listpci"
5030 DATA "      Lists the Parent/Child Index."
5040 DATA ".vt 2"
5050 DATA " 14.  alphaper"
5060 DATA "      Provides an alphabetical list of the"
5070 DATA "      persons in the Persons File."
5080 DATA ".vt 2"
5090 DATA " 15.  alphamar"
5100 DATA "      Provides an alphabetical list of the"
5110 DATA "      marriages in the Marriages File."
5120 DATA ".pa"
5130 DATA " 16.  display"
5140 DATA "      Provides for displaying all of the"
5150 DATA "      information in all of the files,"
5160 DATA "      in the form of pedigrees, family"
5170 DATA "      groups, personal, and ordinance"
5180 DATA "      information."
5190 DATA ".vt 2"
5200 DATA " 17.  pedigree"
5210 DATA "      Provides a printout of a Pedigree"
5220 DATA "      Chart for any person."
5230 DATA ".vt 2"
5240 DATA " 18.  family"
5250 DATA "      Provides a printout of a Family"
5260 DATA "      Group Sheet for any marriage."
5270 DATA ".vt 2"
5280 DATA " 19.  descend"
5290 DATA "      Provides a display and an op-"
5300 DATA "      tional printout of a Descendents"
5310 DATA "      Chart for any person."
5320 DATA ".vt 2"
5330 DATA " 20.  menu"
5340 DATA "      Provides for user selection of"
5350 DATA "      any of the other programs to be"
5360 DATA "      run."
5370 DATA ".pa"
5380 DATA ".h2 DATA FILE"
5390 DATA "One data file is included on the Distri-"
5400 DATA "bution Diskette.  It is:"
5410 DATA ".sp"
5420 DATA "  1.  verifile"
5430 DATA ".sp"
5440 DATA "Its purpose is to verify that BASIC was"
5450 DATA "brought up with the /s:256 parameter."
5460 DATA ".h2 OVERVIEW PROGRAM"
5470 DATA "One overview program is provided, which"
5480 DATA "may be used to show your friends just"
5490 DATA "what 'Genealogy ON DISPLAY' is all"
5500 DATA "about.  The overview program may also"
5510 DATA "be used for presentations, such as at"
5520 DATA "Association or Club Meetings."
5530 DATA ".sp"
5540 DATA "While the overview program makes a"
5550 DATA "better presentation in color, it is"
5560 DATA "also suitable for use on a Monochrome"
5570 DATA "Monitor."
5580 DATA ".sp"
5590 DATA "In order to use this program, type:"
5600 DATA ".sp"
5610 DATA "  run ~overview~"
5620 DATA ".sp"
5630 DATA "and press the 'enter' key."
5640 DATA ".h1 USING THE PROGRAMS"
5650 DATA ".h2 FIRST TIME USAGE"
5660 DATA "The following steps are necessary when"
5670 DATA "a new user receives the Distribution"
5680 DATA "Diskette.  (Details of the steps are"
5690 DATA "shown in the User's Manual.)"
5700 DATA ".sp"
5710 DATA "1.  Backup the Distribution Diskette."
5720 DATA ".sp"
5730 DATA "2.  Have a new, double-sided, formatted"
5740 DATA "diskette available (without DOS)."
5750 DATA "(This will become the Data Diskette.)"
5760 DATA ".sp"
5770 DATA "3.  Copy the 'menu' program from the"
5780 DATA "Distribution Diskette to the new Data"
5790 DATA "Diskette."
5800 DATA ".sp"
5810 DATA "4.  Copy the 'verifile' data file from"
5820 DATA "the Distribution Diskette to the new"
5830 DATA "Data Diskette."
5840 DATA ".sp"
5850 DATA "5.  Format the data files (persfile,"
5860 DATA "marrfile, and ordfile), through the"
5870 DATA "use of the 'creatper', 'creatmar',"
5880 DATA "and 'creatord' programs respectively."
5890 DATA ".sp"
5900 DATA "6.  Begin entry of Genealogical Data,"
5910 DATA "through the use of the 'updatper',"
5920 DATA "'updatmar', and 'updatord' programs."
5930 DATA ".pa"
5940 DATA ".h2 GETTING STARTED"
5950 DATA "The user should perform the following"
5960 DATA "steps in starting the Genealogy ON"
5970 DATA "DISPLAY programs.  (Note:  The steps"
5980 DATA "essentially provide for making BASIC"
5990 DATA "available, and starting the menu)."
6000 DATA ".sp"
6010 DATA "1.  Insert the PC DOS diskette into"
6020 DATA "    Drive 'a:'."
6030 DATA ".sp"
6040 DATA "2.  If using the PCjr, insert the"
6050 DATA "    BASIC Cartridge into either slot."
6060 DATA ".sp"
6070 DATA "3.  Turn the Printer On."
6080 DATA ".sp"
6090 DATA "4.  Turn the System On."
6100 DATA ".sp"
6110 DATA "5.  Type today's date if the system"
6120 DATA "    asks the user to Enter today's date."
6130 DATA ".sp"
6140 DATA "6.  Type the correct time if the system"
6150 DATA "    asks the user to Enter the time."
6160 DATA ".sp"
6170 DATA "7.  Type: basic/s:256"
6180 DATA "          and press the 'enter' key."
6190 DATA ".pa"
6200 DATA "8.  Replace the DOS Diskette with the"
6210 DATA "    Genealogy ON DISPLAY diskette in"
6220 DATA "    Drive 'a:'."
6230 DATA ".sp"
6240 DATA "9.  Type:  run ~menu~"
6250 DATA "            and press the 'enter' key."
6260 DATA ".sp"
6270 DATA "10.  Follow any instructions which appear"
6280 DATA "     at the bottom of each screen."
6290 DATA ".eof"
6300 END
